package com.qhiot.core.sql.mybatis.dialect;

/**
 * @author 金建强(ptma @ 163.com)
 * @version 2016-12-09 11:46
 */
public class InformixDialect extends Dialect {
    @Override
    public boolean supportsLimit() {
        return true;
    }

    @Override
    public boolean supportsLimitOffset() {
        return true;
    }

    @Override
    public String getLimitString(String sql, int offset, String offsetPlaceholder, int limit, String limitPlaceholder) {
        StringBuilder sqlBuilder = new StringBuilder(sql.length() + 40);
        sqlBuilder.append("select skip ")
                .append(offset)
                .append(" first ")
                .append(limit)
                .append(" * from ( ")
                .append(sql)
                .append(" ) temp_t");
        return sqlBuilder.toString();
    }
}
