package org.influxdb.querybuilder;

import org.influxdb.querybuilder.QueryStringBuilder;
import org.influxdb.querybuilder.WithSubquery;

public abstract class SubQuery<T extends WithSubquery> implements QueryStringBuilder {

  private T parent;

  void setParent(final T parent) {
    this.parent = parent;
  }

  T getParent() {
    return parent;
  }

  public T close() {
    parent.setSubQuery(this);
    return parent;
  }
}
