package com.qhiot.kafka;

import com.qhiot.core.util.JsonUtil;
import com.qhiot.transport.message.CodecLogMessage;
import com.qhiot.transport.message.data.MonitoringHistoryData;
import com.qhiot.transport.message.request.RequestMessage;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 1 * @Author: luoj
 * 2 * @Date: 2021/5/24 18:17
 * 3
 */
@Component
public class kafkaTestListener {

//    @KafkaListener(topics = KafkaTopicDestinations.CODEC_LOG, groupId = ConsumerGroups.TOPIC_CONSUMER_GROUP + "${app.node}")
//    public void listen1(List<ConsumerRecord<String, RequestMessage>> consumerRecordList) throws Exception{
//        for(ConsumerRecord<String, RequestMessage> consumerRecord:consumerRecordList){
//
//        }
//    }
//
    @KafkaListener(topics = KafkaTopicDestinations.MONITORING_HISTORY_DATA, groupId = KafkaTopicDestinations.MONITORING_HISTORY_DATA)
    public void listen2(MonitoringHistoryData monitoringHistoryData) throws Exception{
        System.out.println("listen2");
        System.out.println(monitoringHistoryData);
    }
}