package com.qhiot.kafka;

import com.qhiot.core.util.CollectionUtil;
import org.junit.jupiter.api.Test;

import java.lang.reflect.Field;
import java.lang.reflect.Modifier;

/**
 * 1 * @Author: luoj
 * 2 * @Date: 2021/5/24 16:57
 * 3
 */
public class SpringTest {

    @Test
    public void testDestinations(){

        try {
            Class c = Class.forName("com.qhiot.kafka.KafkaTopicDestinations");
            Field[] fields = c.getDeclaredFields();
            if (CollectionUtil.isNotEmpty(fields)) {
                for (Field field : fields) {
                    if(field.getType().toString().endsWith("java.lang.String") && Modifier.isFinal(field.getModifiers()) && Modifier.isStatic(field.getModifiers())){
                        System.out.println(field.getName());
                        try {
                            System.out.println(field.get(KafkaTopicDestinations.class));
                        } catch (IllegalAccessException e) {
                            e.printStackTrace();
                        }
                    }

                }
            }
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }
    }

}
