package com.qhiot.transport.db.dto;

import com.qhiot.transport.db.model.Device;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;


@Data
public class DeviceDTO extends Device{

    @Column(name = "a.device_id")
    private String deviceId;

    private String modelName;

    private String deviceNo;

    private Double networkingRate;

    private Integer lowPower;

    @Column(name = "a.tenant_id")
    private Long tenantId;

    private String cardNo;

    private String warning;

    private Date latestTime;

    private Long advStationEquipmentId;
}
