/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 02:19:28
 */
package com.qhiot.transport.db.dto;

import com.qhiot.transport.db.model.LibDeviceRegisterAllot;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;

/**
 * Table: lib_device_register_allot - 终端寄存器分配库 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-12-19 02:19:28
 */
@Getter
@Setter
@Entity
public class LibDeviceRegisterAllotDTO extends LibDeviceRegisterAllot {
    @Column(name = "a.model_id")
    private Long modelId;
    @Column(name = "b.model_name")
    private String modelName;
}
