/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-04-20 10:15:54
 */
package com.qhiot.transport.db.dto;

import com.qhiot.transport.db.model.MonitoringData;

import lombok.Getter;
import lombok.Setter;

/**
 * Table: monitoring_data - 测点数据 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-04-20 10:15:54
 */
@Getter
@Setter
public class MonitoringDataDTO extends MonitoringData {


    /**
     * 监测指标和测点名称合并值
     */
    private String indexResourceName;

    private String monitoringName;

    private String unit;

    private String icon;

}
