package com.qhiot.transport.db.dto;

import javax.persistence.Column;

import com.qhiot.transport.db.model.MonitoringDataHistory;

/**
 * @author 金建强(ptma/@163.com)
 * @version 2017/4/25 13:02
 */
public class MonitoringDataHistoryDTO extends MonitoringDataHistory {

    private static final long serialVersionUID = 6282442356948638002L;

    @Column(name = "A.monitoring_id")
    private Long monitoringId;
    @Column(name = "A.device_id")
    private String deviceId;

    // transport_resource_monitoring
    private String monitoringName;
    private String unit;
    private String icon;

    // device
    private String deviceName;

    @Override
    public Long getMonitoringId() {
        return monitoringId;
    }

    @Override
    public void setMonitoringId(Long monitoringId) {
        this.monitoringId = monitoringId;
    }

    @Override
    public String getDeviceId() {
        return deviceId;
    }

    @Override
    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getMonitoringName() {
        return monitoringName;
    }

    public void setMonitoringName(String monitoringName) {
        this.monitoringName = monitoringName;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getIcon() {
        return icon == null ? "icon-unknow" : icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }
}
