package com.qhiot.transport.db.dto;

import javax.persistence.Column;

import lombok.Getter;
import lombok.Setter;

import com.qhiot.transport.db.model.MonitoringDataHistory;

/**
 * @author 金建强(ptma/@163.com)
 * @version 2017/4/25 13:02
 */
@Getter
@Setter
public class MonitoringGisDataHistoryDTO extends MonitoringDataHistory {

    private static final long serialVersionUID = 6282442356948638112L;

    @Column(name = "A.monitoring_id")
    private Long              monitoringId;

    private Long              smId;

    private String            unit;

    private String            indexName;
    /**
     * 告警上限
     * */
    private Double            warnUpper;

    /**
     * 告警下限
     * */
    private Double            warnLower;
}
