/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-04-18 12:03:21
 */
package com.qhiot.transport.db.dto;

import com.qhiot.core.util.ExcelUtil;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Entity;
import java.io.Serializable;

/**
 * Table: device - 终端 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-04-18 12:03:21
 */
@Getter
@Setter
@Entity
public class SimExeclDTO implements Serializable {
    private static final long serialVersionUID = 7022953212908099932L;

    @ExcelUtil.ExcelHeader("sim卡号")
    private String  iotCard;

    @ExcelUtil.ExcelHeader("卡号备注")
    private String  iotCardRemake;

    @ExcelUtil.ExcelHeader("iccid")
    private String  iccid;

    @ExcelUtil.ExcelHeader("套餐总量（M）")
    private String  totalFlow;

    @ExcelUtil.ExcelHeader("服务提供商")
    private String  supplier;
}
