/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-04-18 12:03:21
 */
package com.qhiot.transport.db.dto;

import com.qhiot.core.util.ExcelUtil;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Entity;
import java.io.Serializable;

/**
 * Table: device - 终端 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-04-18 12:03:21
 */
@Getter
@Setter
@Entity
public class SimInfoExeclDTO implements Serializable {
    private static final long serialVersionUID = 7022953212908099932L;

    @ExcelUtil.ExcelHeader("运营商（移动、联通、电信、其他）")
    private String serviceProvider;

    @ExcelUtil.ExcelHeader("套餐总量（M)")
    private Double totalFlow;

    @ExcelUtil.ExcelHeader("平台卡号（iccid）")
    private String simIccid;

    @ExcelUtil.ExcelHeader("实际卡号")
    private String cardNo;

    @ExcelUtil.ExcelHeader("发货日期")
    private String sendgoodsDate;

    @ExcelUtil.ExcelHeader("续费年限")
    private String dueDate;

    @ExcelUtil.ExcelHeader("次年续费日期")
    private String nextRenewalDate;

    @ExcelUtil.ExcelHeader("客户名称")
    private String customerName;

    @ExcelUtil.ExcelHeader("项目")
    private String projectName;


    @ExcelUtil.ExcelHeader("合同编号")
    private String contractNo;

    @ExcelUtil.ExcelHeader("设备编号")
    private String simDeviceId;

    @ExcelUtil.ExcelHeader("是否提前一个月提醒（是、否）")
    private String isEarlywarning;

    @ExcelUtil.ExcelHeader("SIM卡状态（在用、停用、注销）")
    private String simState;

    @ExcelUtil.ExcelHeader("备注")
    private String simRemarks;
}
