/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-02-24 10:16:42
 */
package com.qhiot.transport.db.dto;

import javax.persistence.Column;
import javax.persistence.Entity;

import com.qhiot.transport.db.model.TransportAsciiParamHistory;

import lombok.Getter;
import lombok.Setter;

/**
 * Table: transport_ascii_param_history - 动态参数 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-02-24 10:16:42
 */
@Getter
@Setter
@Entity
public class TransportAsciiParamHistoryDTO extends TransportAsciiParamHistory {

    private static final long serialVersionUID = 5746310352106032463L;

    @Column(name="A.device_id")
    private String deviceId;

    private Long tenantId;

    /** Column: param_field - 参数 */
    private String paramField;

    /** Column: param_name - 参数名 */
    private String paramName;

    /** Column: field_unit - 参数单位 */
    private String fieldUnit;
}
