/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-02-24 10:16:42
 */
package com.qhiot.transport.db.dto;

import lombok.Getter;
import lombok.Setter;

import com.qhiot.core.util.DateUtil;
import com.qhiot.transport.db.model.TransportAttendance;

@Setter
@Getter
public class TransportAttendanceTimeSlotDTO extends TransportAttendance {

    private static final long serialVersionUID = -2214159989712984879L;
    /**
     * 考勤时间间隔格式化
     */
    private String attendanceTimeSlotFormatter;

    public void setAttendanceTimeSlotFormatter(String attendanceTimeSlotFormatter) {
        this.attendanceTimeSlotFormatter = DateUtil.prettySeconds(Integer.parseInt(attendanceTimeSlotFormatter));
    }
}
