/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-02-24 10:16:42
 */
package com.qhiot.transport.db.dto;

import javax.persistence.Column;
import javax.persistence.Entity;

import lombok.Getter;
import lombok.Setter;

import com.qhiot.transport.db.model.TransportPicture;

/**
 * Table: transport_ascii_param_history - 动态参数 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-02-24 10:16:42
 */
@Getter
@Setter
@Entity
public class TransportPictureFileDTO extends TransportPicture {

    private static final long serialVersionUID = -4165757393116566867L;

    @Column(name="A.device_id")
    private String deviceId;

    private Long tenantId;

    private String fileName;

    private String filePath;
}
