/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-02-24 10:16:42
 */
package com.qhiot.transport.db.dto;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.transport.db.model.TransportUpgrade;

import lombok.Getter;
import lombok.Setter;

/**
 * @author 金建强(ptma@163.com)
 * @version 2017-02-24 10:16:42
 */
@Getter
@Setter
@Entity
public class TransportUpgradeDTO extends TransportUpgrade {

    private static final long serialVersionUID = 8587245094117966117L;

    @Column(name="A.device_id")
    private String deviceId;

    private Long tenantId;

    @Column(name="A.create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
}
