/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-04-17 06:18:28
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.dto.DeviceModelDTO;
import com.qhiot.transport.db.model.DeviceModel;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: device_model - 设备型号 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-04-17 06:18:28
 */
public interface DeviceModelMapper extends Mapper<DeviceModel>, ConditionMapper<DeviceModel> {

   public List<DeviceModelDTO> selectDTOByTenantId(Long tenantId);

   public List<DeviceModelDTO> selectDTO();

}
