/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-11-13 01:19:13
 */
package com.qhiot.transport.db.mapper;

import java.util.List;

import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

import com.qhiot.transport.db.dto.DeviceNetworkTrafficDTO;
import com.qhiot.transport.db.model.DeviceNetworkTraffic;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: device_network_traffic - 终端传输流量 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-11-13 01:19:13
 */
public interface DeviceNetworkTrafficMapper extends Mapper<DeviceNetworkTraffic>, ConditionMapper<DeviceNetworkTraffic> {

    List<DeviceNetworkTrafficDTO> selectDTOByExample(Example example);
}
