/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-08-30 05:25:05
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.model.DevicePeripheral;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: device_peripheral - 终端外设表 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-08-30 05:25:05
 */
public interface DevicePeripheralMapper extends Mapper<DevicePeripheral>, ConditionMapper<DevicePeripheral> {

    List<DevicePeripheral> selectDevicePeripheralByStationID(Long stationId);
}
