/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2019-12-27 03:00:02
 */
package com.qhiot.transport.db.mapper;

import java.util.List;

import com.qhiot.transport.db.dto.DeviceVirtualMonitoringDTO;
import com.qhiot.transport.db.model.DeviceVirtualMonitoring;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: device_virtual_monitoring - 网关虚拟测点 <br/>
 *
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2019-12-27 03:00:02
 */
public interface DeviceVirtualMonitoringMapper extends Mapper<DeviceVirtualMonitoring>, ConditionMapper<DeviceVirtualMonitoring> {
    List<DeviceVirtualMonitoringDTO> selectDTObyExample(Example example);
}
