/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-08-06 02:46:18
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.core.bean.Pager;
import com.qhiot.transport.db.dto.FirmwareManageDTO;
import com.qhiot.transport.db.model.FirmwareManage;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: firmware_manage - 固件管理 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-08-06 02:46:18
 */
public interface FirmwareManageMapper extends Mapper<FirmwareManage>, ConditionMapper<FirmwareManage> {
    Pager<FirmwareManageDTO> selectDTOByExample(Example example);
}
