/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 02:19:02
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.dto.LibEquipmentMonitoringDTO;
import com.qhiot.transport.db.model.LibEquipmentMonitoring;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: lib_equipment_monitoring - 设备测点库 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-12-19 02:19:02
 */
public interface LibEquipmentMonitoringMapper extends Mapper<LibEquipmentMonitoring>, ConditionMapper<LibEquipmentMonitoring> {
    List<LibEquipmentMonitoringDTO> selectDTOByExample(Example example);
}
