/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 02:17:45
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.dto.LibKeysMonitorDTO;
import com.qhiot.transport.db.model.LibKeysMonitor;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: lib_keys_monitor - 关键测控点 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-12-19 02:17:45
 */
public interface LibKeysMonitorMapper extends Mapper<LibKeysMonitor>, ConditionMapper<LibKeysMonitor> {
    List<LibKeysMonitorDTO> selectDTOByExample(Example example);

    int selectCountByEquipmentTypeId(@Param("equipmentTypeId") Long equipmentTypeId);
}
