/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 * 
 * Date: 2018-09-26 03:59:32
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.dto.SimInfoFlowDTO;
import com.qhiot.transport.db.model.SimInfo;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: sim_info -  <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-09-26 03:59:32
 */
public interface SimInfoMapper extends Mapper<SimInfo>, ConditionMapper<SimInfo> {

    List<SimInfoFlowDTO> selectYestordayFlow();

    List<SimInfoFlowDTO> selectDayAvgFlow();

    List<SimInfoFlowDTO> selectCurrentMonthFlow();

    List<SimInfoFlowDTO> selectOverflowTotalFlow();

    List<SimInfoFlowDTO> selectAlreadyusedFlow();

    List<SimInfo> simDuedateEarlyWarn();

    List<SimInfo> simOverflowEarlyWarn();

    List<SimInfo> simOverflowTotalEarlyWarn();

    List<SimInfo> simOverflowHalfDayAvgEarlyWarn();


    List<SimInfo> simDayRank();

    List<SimInfo> simMonthRank();

}
