/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-04-28 09:57:24
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.dto.TransportAttendanceDTO;
import com.qhiot.transport.db.dto.TransportAttendanceTimeSlotDTO;
import com.qhiot.transport.db.model.TransportAttendance;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: transport_attendance - 考勤原始数据 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-04-28 09:57:24
 */
public interface TransportAttendanceMapper extends Mapper<TransportAttendance>, ConditionMapper<TransportAttendance> {

    List<TransportAttendanceDTO> selectDTOByExample(Example example);

    List<TransportAttendanceTimeSlotDTO> selectTimeSlotDTOByExample(Example example);
}
