/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-05-10 10:16:12
 */
package com.qhiot.transport.db.mapper;

import java.util.List;

import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

import com.qhiot.transport.db.dto.TransportPictureDTO;
import com.qhiot.transport.db.dto.TransportPictureFileDTO;
import com.qhiot.transport.db.model.TransportPicture;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: transport_picture - 摄像头抓拍数据 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-05-10 10:16:12
 */
public interface TransportPictureMapper extends Mapper<TransportPicture>, ConditionMapper<TransportPicture> {

    List<TransportPictureDTO> selectDTOByExample(Example example);

    List<TransportPictureFileDTO> selectFileDTOByExample(Example example);
}
