package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.dto.TransportResourceDTO;
import tk.mybatis.mapper.entity.Example;

import java.util.List;


/**
 * @author L
 * @date 2018-08-30
 * */
public interface TransportResourceMapper {

    /**
     * 查询终端内部配置
     * @param example
     * @return
     * */
    List<TransportResourceDTO> selectInTransportResourceByStationId(Example example);

    /**
     * 根据站点ID查询终端外设配置
     * @param example
     * @return
     * */
    List<TransportResourceDTO> selectOutTransportResourceByStationId(Example example);

}
