/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-07-26 04:06:55
 */
package com.qhiot.transport.db.mapper;

import java.util.List;

import com.qhiot.transport.db.dto.TransportTransformerThresholdDTO;
import com.qhiot.transport.db.model.TransportTransformerThreshold;

import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: transport_transformer_threshold - 互感器状态阈值 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-07-26 04:06:55
 */
public interface TransportTransformerThresholdMapper extends Mapper<TransportTransformerThreshold>, ConditionMapper<TransportTransformerThreshold> {

    List<TransportTransformerThresholdDTO> selectDTOByExample(Example example);
}
