/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-03-24 09:53:57
 */
package com.qhiot.transport.db.mapper;

import java.util.List;

import com.qhiot.transport.db.dto.TransportUpgradeLogDTO;
import com.qhiot.transport.db.model.TransportUpgradeLog;

import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: transport_upgrade_log - 固件升级日志 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-03-24 09:53:57
 */
public interface TransportUpgradeLogMapper extends Mapper<TransportUpgradeLog>, ConditionMapper<TransportUpgradeLog> {

    List<TransportUpgradeLogDTO> selectDTOByExample(Example example);
}
