/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-03-24 09:52:45
 */
package com.qhiot.transport.db.mapper;

import java.util.List;

import com.qhiot.transport.db.dto.TransportUpgradeDTO;
import com.qhiot.transport.db.model.TransportUpgrade;

import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: transport_upgrade - 固件升级记录 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-03-24 09:52:45
 */
public interface TransportUpgradeMapper extends Mapper<TransportUpgrade>, ConditionMapper<TransportUpgrade> {

    void updateStartupTime(TransportUpgrade transportUpgrade);

    void updateSegmentIndex(TransportUpgrade transportUpgrade);

    List<TransportUpgradeDTO> selectDTOByExample(Example example);
}
