/*
 * ! CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-06-09 04:11:06
 */
package com.qhiot.transport.db.model;

import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Table: station_monitoring - <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-06-09 04:11:06
 */
@Getter
@Setter
@Entity
@Table(name = "station_monitoring")
public class DbStationMonitoring implements Serializable {

    @Id
    @Key(type = KeyType.SNOWFLAKE)
    @Column(name = "sm_id")
    private Long smId;

    /** Column: station_id - 站点ID */
    @NotNull(message = "basic.stationMonitoring.stationId.NotNull")
    private Long stationId;


    /** Column: monitoring_id - 测点ID */
    @NotNull(message = "basic.stationMonitoring.monitoringId.NotNull")
    private Long monitoringId;

    /** Column: index_id - 指标ID */
    @NotNull(message = "basic.stationMonitoring.indexId.NotNull")
    private Long indexId;

    /** Column: groups_id - 指标分组ID */
    private Long groupsId;

    /**
     * 测点名称
     */
    private String monitoringName;



}
