/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-11-13 01:19:13
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.DeviceNetworkTrafficMapper;
import com.qhiot.transport.db.model.DeviceNetworkTraffic;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 业务层 <br/>
 * Table: device_network_traffic - 终端传输流量 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2017-11-13 01:19:13
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class DeviceNetworkTrafficService extends BaseService<DeviceNetworkTraffic> {

    @Autowired
    private DeviceNetworkTrafficMapper deviceNetworkTrafficMapper;

}
