/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-04-20 10:40:52
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.EquipmentConfigTempletMapper;
import com.qhiot.transport.db.model.EquipmentConfigTemplet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 业务层 <br/>
 * Table: equipment_config_templet - 设备配置模板 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-04-20 10:40:52
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class EquipmentConfigTempletService extends BaseService<EquipmentConfigTemplet> {

    @Autowired
    private EquipmentConfigTempletMapper equipmentConfigTempletMapper;

}
