/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-08-06 02:46:18
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.FirmwareManageMapper;
import com.qhiot.transport.db.model.FirmwareManage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 业务层 <br/>
 * Table: firmware_manage - 固件管理 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-08-06 02:46:18
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class FirmwareManageService extends BaseService<FirmwareManage> {

    @Autowired
    private FirmwareManageMapper firmwareManageMapper;
}
