/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-01-18 10:35:54
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.TransportAsciiParamLibraryMapper;
import com.qhiot.transport.db.model.TransportAsciiParamLibrary;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 业务层 <br/>
 * Table: transport_device_param -  <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2017-01-18 10:35:54
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TransportAsciiParamLibraryService extends BaseService<TransportAsciiParamLibrary> {

    @Autowired
    private TransportAsciiParamLibraryMapper transportAsciiParamLibraryMapper;

}
