/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-05-10 10:16:12
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.TransportPictureMapper;
import com.qhiot.transport.db.model.TransportPicture;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 业务层 <br/>
 * Table: transport_picture - 摄像头抓拍数据 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2017-05-10 10:16:12
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TransportPictureService extends BaseService<TransportPicture> {

    @Autowired
    private TransportPictureMapper transportPictureMapper;

}
