package com.qhiot.transport.influxdb.service;


import com.qhiot.influxdb.service.InfluxDBBaseService;
import com.qhiot.transport.influxdb.model.DeviceConnectStatusInflux;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 网关在线率的统计，使用influxdb求积分的方式计算
 * 计算方式：
 *      1.常供电：
 *      2.低功耗：网关上传次数/某段时间内网关本应上传次数
 */
@Slf4j
@Service
public class DeviceConnectStatusInfluxService extends InfluxDBBaseService<DeviceConnectStatusInflux> {


}
