package com.qhiot.transport.message.bean;

import java.io.Serializable;

/**
 * 车载标签
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-06-21 15:59
 */
public class OnboardTag implements Serializable {

    private static final long serialVersionUID = -7481495858252151229L;

    /** Type 1B 0x40 */
    protected byte type;
    /** 保留 1B 0xFF */
    protected byte reserved;
    /** 标签卡ID 4B */
    protected int  tagId;
    /** 4bit */
    protected int  pkgType;
    /** 1bit */
    protected int  pSta;
    /** 1bit */
    protected int  bSta;
    /** 激励器ID */
    protected int  exciter;
    /** 激励器信号强度 */
    protected int  rssi;
    protected int  crc;



    public byte getType() {
        return type;
    }

    public void setType(byte type) {
        this.type = type;
    }

    public byte getReserved() {
        return reserved;
    }

    public void setReserved(byte reserved) {
        this.reserved = reserved;
    }

    public int getTagId() {
        return tagId;
    }

    public void setTagId(int tagId) {
        this.tagId = tagId;
    }

    public int getPkgType() {
        return pkgType;
    }

    public void setPkgType(int pkgType) {
        this.pkgType = pkgType;
    }

    public int getpSta() {
        return pSta;
    }

    public void setpSta(int pSta) {
        this.pSta = pSta;
    }

    public int getbSta() {
        return bSta;
    }

    public void setbSta(int bSta) {
        this.bSta = bSta;
    }

    public int getExciter() {
        return exciter;
    }

    public void setExciter(int exciter) {
        this.exciter = exciter;
    }

    public int getRssi() {
        return rssi;
    }

    public void setRssi(int rssi) {
        this.rssi = rssi;
    }

    public int getCrc() {
        return crc;
    }

    public void setCrc(int crc) {
        this.crc = crc;
    }

    @Override
    public String toString() {
        return "TagData [type=" + type + ", reserved=" + reserved + ", tagId=" + tagId + ", pkgType=" + pkgType
               + ", pSta=" + pSta + ", bSta=" + bSta + ", exciter=" + exciter + ", rssi=" + rssi + ", crc=" + crc + "]";
    }

}
