package com.qhiot.transport.message.bean;

import java.io.Serializable;

/**
 * 输入输出关联设置
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-03-31 15:46
 */
public class OverloadCurrent implements Serializable {

    private static final long serialVersionUID = 7707931797821165304L;

    public static final int   DATA_LENGTH      = 18;
    public static final int   DATA_COUNT       = 16;

    protected byte            overloadValid;
    protected float           overloadCurrent;
    protected byte            overloadExpire;

    protected byte            lowloadValid;
    protected float           lowloadCurrent;
    protected byte            lowloadExpire;

    protected byte            standbyValid;
    protected float           standbyCurrent;
    protected byte            standbyExpire;

    public byte getOverloadValid() {
        return overloadValid;
    }

    public void setOverloadValid(byte overloadValid) {
        this.overloadValid = overloadValid;
    }

    public float getOverloadCurrent() {
        return overloadCurrent;
    }

    public void setOverloadCurrent(float overloadCurrent) {
        this.overloadCurrent = overloadCurrent;
    }

    public byte getOverloadExpire() {
        return overloadExpire;
    }

    public void setOverloadExpire(byte overloadExpire) {
        this.overloadExpire = overloadExpire;
    }

    public byte getLowloadValid() {
        return lowloadValid;
    }

    public void setLowloadValid(byte lowloadValid) {
        this.lowloadValid = lowloadValid;
    }

    public float getLowloadCurrent() {
        return lowloadCurrent;
    }

    public void setLowloadCurrent(float lowloadCurrent) {
        this.lowloadCurrent = lowloadCurrent;
    }

    public byte getLowloadExpire() {
        return lowloadExpire;
    }

    public void setLowloadExpire(byte lowloadExpire) {
        this.lowloadExpire = lowloadExpire;
    }

    public byte getStandbyValid() {
        return standbyValid;
    }

    public void setStandbyValid(byte standbyValid) {
        this.standbyValid = standbyValid;
    }

    public float getStandbyCurrent() {
        return standbyCurrent;
    }

    public void setStandbyCurrent(float standbyCurrent) {
        this.standbyCurrent = standbyCurrent;
    }

    public byte getStandbyExpire() {
        return standbyExpire;
    }

    public void setStandbyExpire(byte standbyExpire) {
        this.standbyExpire = standbyExpire;
    }
}
