package com.qhiot.transport.message.bean;

import java.io.Serializable;

/**
 * 照片分片
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-04-06 22:51
 */
public class SnapSegment implements Serializable {

    private static final long serialVersionUID = 1026078603071665435L;

    protected byte            cameraAddr;                             // 摄像头地址 1B
    protected short           segmentIndex;                           // 图片包序号 2B
    protected short           totalSegments;                          // 图片包总数 2B
    protected int             timestamp;                              // 时间戳 4B
    protected int             dataLength;                             // 数据长度2B
    protected byte[]          segmentData;                            // 数据 N字节

    public byte getCameraAddr() {
        return cameraAddr;
    }

    public void setCameraAddr(byte cameraAddr) {
        this.cameraAddr = cameraAddr;
    }

    public short getSegmentIndex() {
        return segmentIndex;
    }

    public void setSegmentIndex(short segmentIndex) {
        this.segmentIndex = segmentIndex;
    }

    public short getTotalSegments() {
        return totalSegments;
    }

    public void setTotalSegments(short totalSegments) {
        this.totalSegments = totalSegments;
    }

    public int getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(int timestamp) {
        this.timestamp = timestamp;
    }

    public int getDataLength() {
        return dataLength;
    }

    public void setDataLength(int dataLength) {
        this.dataLength = dataLength;
    }

    public byte[] getSegmentData() {
        return segmentData.clone();
    }

    public void setSegmentData(byte[] segmentData) {
        this.segmentData = segmentData.clone();
    }
}
