package com.qhiot.transport.message.data;

/**
 * ICCID 数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class IccidData extends Data {

    private static final long serialVersionUID = 7882100136873353428L;

    private String            iccid;

    private IccidData(){}

    public IccidData(String deviceId) {
        super(deviceId);
    }

    public IccidData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public String getIccid() {
        return iccid;
    }

    public void setIccid(String iccid) {
        this.iccid = iccid;
    }
}
