package com.qhiot.transport.message.data;

import com.qhiot.transport.message.bean.Tag24g;

/**
 * 2.4G 标签数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class Tag24gData extends Data {

    private static final long serialVersionUID = 2503239819693203198L;

    private Tag24g tag;

    private Tag24gData() { }

    public Tag24gData(String deviceId) {
        super(deviceId);
    }

    public Tag24gData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public Tag24g getTag() {
        return tag;
    }

    public Tag24gData setTag(Tag24g tag) {
        this.tag = tag;
        return this;
    }
}
