package com.qhiot.transport.message.data;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 互感器数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/3/21 19:08
 */
@Getter
@Setter
public class TagCacheData extends Data {

    private static final long serialVersionUID = 2696382055421700670L;

    public static final String CACHE_REGION     = "seem:transport:tags";

    private long               attendanceId;

    /** 标签卡 */
    private String             tagId;

    /**
     * 到达时间
     */
    private Date               arrivedTime;

    /**
     * 离开时间
     */
    private Date               leaveTime;

    private TagCacheData() { }

    public TagCacheData(String deviceId) {
        super(deviceId);
    }

    public TagCacheData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }


}
