package com.qhiot.transport.message.request;

import com.qhiot.transport.message.bean.DeviceParam;

/**
 * 低级写入终端参数指令
 *
 * @author 金建强(ptma@163.com)
 */
public class DeviceParamLowlevelWriteRequest extends RequestMessage {

    private static final long serialVersionUID = 5321006098813166256L;
    private DeviceParam param;

    private DeviceParamLowlevelWriteRequest() {}

    public DeviceParamLowlevelWriteRequest(String deviceId) {
        super(deviceId);
    }

    public DeviceParamLowlevelWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public DeviceParam getParam() {
        return param;
    }

    public DeviceParamLowlevelWriteRequest setParam(DeviceParam param) {
        this.param = param;
        return this;
    }
}
