package com.qhiot.transport.message.request;

/**
 * 读取终端参数指令
 *
 * @author 金建强(ptma@163.com)
 */
public class DeviceParamReadRequest extends RequestMessage {

    private static final long serialVersionUID = 3335289752839850668L;

    private DeviceParamReadRequest() {}

    public DeviceParamReadRequest(String deviceId) {
        super(deviceId);
    }

    public DeviceParamReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
