package com.qhiot.transport.message.request;

/**
 * 读取1条配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class EquipmentConfigReadRequest extends RequestMessage {

    private static final long serialVersionUID = 1025421618322728172L;

    private int index;

    private EquipmentConfigReadRequest() {}

    public EquipmentConfigReadRequest(String deviceId) {
        super(deviceId);
    }

    public EquipmentConfigReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
