package com.qhiot.transport.message.request;

/**
 * 读取10条配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class EquipmentConfigReadTenRequest extends RequestMessage {

    private static final long serialVersionUID = 5171934493841765899L;
    /** 0 - 2 */
    private int page;

    private EquipmentConfigReadTenRequest() {}

    public EquipmentConfigReadTenRequest(String deviceId) {
        super(deviceId);
    }

    public EquipmentConfigReadTenRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }
}
