package com.qhiot.transport.message.request;

/**
 * 删除1条配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class EquipmentMonitoringDeleteRequest extends RequestMessage {

    private static final long serialVersionUID = -531682731284783882L;

    /** 0 - 29 */
    private int index;

    private EquipmentMonitoringDeleteRequest() {}

    public EquipmentMonitoringDeleteRequest(String deviceId) {
        super(deviceId);
    }

    public EquipmentMonitoringDeleteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
