package com.qhiot.transport.message.request;

/**
 * 读取1条配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class EquipmentMonitoringReadRequest extends RequestMessage {

    private static final long serialVersionUID = 7793705504182436540L;

    /** 0 - 29 */
    private int index;

    private EquipmentMonitoringReadRequest() {}

    public EquipmentMonitoringReadRequest(String deviceId) {
        super(deviceId);
    }

    public EquipmentMonitoringReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
