package com.qhiot.transport.message.request;

/**
 * 读取10条配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class EquipmentMonitoringReadTenRequest extends RequestMessage {

    private static final long serialVersionUID = 3759794615103656984L;
    /** 0 - 2 */
    private int page;

    private EquipmentMonitoringReadTenRequest() {}

    public EquipmentMonitoringReadTenRequest(String deviceId) {
        super(deviceId);
    }

    public EquipmentMonitoringReadTenRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }
}
