package com.qhiot.transport.message.request;

/**
 * 读取历史数据指令
 *
 * @author 金建强(ptma@163.com)
 */
public class HistoryDataReadRequest extends RequestMessage {

    private static final long serialVersionUID = -8253754686496164934L;
    private int offset;
    private short limit;

    private HistoryDataReadRequest() {}

    public HistoryDataReadRequest(String deviceId) {
        super(deviceId);
    }

    public HistoryDataReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getOffset() {
        return offset;
    }

    public void setOffset(int offset) {
        this.offset = offset;
    }

    public short getLimit() {
        return limit;
    }

    public void setLimit(short limit) {
        this.limit = limit;
    }
}
