package com.qhiot.transport.message.request;

/**
 * 读取开关量输入状态指令
 *
 * @author 金建强(ptma@163.com)
 */
public class InputStateReadRequest extends RequestMessage {

    private static final long serialVersionUID = -809415239704766338L;

    private InputStateReadRequest() {}

    public InputStateReadRequest(String deviceId) {
        super(deviceId);
    }

    public InputStateReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
