package com.qhiot.transport.message.request;

/**
 * 读取开关量输出状态指令
 *
 * @author 金建强(ptma@163.com)
 */
public class OutputStateReadRequest extends RequestMessage {

    private static final long serialVersionUID = 2231946028303411420L;

    private OutputStateReadRequest() {}

    public OutputStateReadRequest(String deviceId) {
        super(deviceId);
    }

    public OutputStateReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
