package com.qhiot.transport.message.request;

/**
 * 删除10条资源配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class ResourceConfigDeleteTenRequest extends RequestMessage {

    private static final long serialVersionUID = 1760486441472761947L;

    /** 0 - 2 */
    private int page;

    private ResourceConfigDeleteTenRequest() {}

    public ResourceConfigDeleteTenRequest(String deviceId) {
        super(deviceId);
    }

    public ResourceConfigDeleteTenRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }
}
