package com.qhiot.transport.message.request;

/**
 * 读数据测试指令
 *
 * @author 金建强(ptma@163.com)
 */
public class ResourceConfigTestDataRequest extends RequestMessage {

    private static final long serialVersionUID = 7925477664227485939L;

    /** 0 - 29 */
    private int index;

    private ResourceConfigTestDataRequest() {}

    public ResourceConfigTestDataRequest(String deviceId) {
        super(deviceId);
    }

    public ResourceConfigTestDataRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
