package com.qhiot.transport.message.request;

import com.qhiot.transport.message.bean.ResourceConfig;

import java.util.List;

/**
 * 写入10条资源配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class ResourceConfigWriteTenRequest extends RequestMessage {

    private static final long serialVersionUID = 6380196685634411227L;

    /** 0 - 2 */
    private int page;

    private List<ResourceConfig> configs;

    private ResourceConfigWriteTenRequest() {}

    public ResourceConfigWriteTenRequest(String deviceId) {
        super(deviceId);
    }

    public ResourceConfigWriteTenRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public List<ResourceConfig> getConfigs() {
        return configs;
    }

    public void setConfigs(List<ResourceConfig> configs) {
        this.configs = configs;
    }
}
