package com.qhiot.transport.message.request;

/**
 * 读取485配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class Rs485ConfigReadRequest extends RequestMessage {

    private static final long serialVersionUID = -13862572924802805L;
    private int         index;

    private Rs485ConfigReadRequest() {}

    public Rs485ConfigReadRequest(String deviceId) {
        super(deviceId);
    }

    public Rs485ConfigReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public Rs485ConfigReadRequest setIndex(int index) {
        this.index = index;
        return this;
    }
}
