package com.qhiot.transport.message.request;

/**
 * 读取交流互感器状态指令
 *
 * @author 金建强(ptma@163.com)
 */
public class TransformerStateReadRequest extends RequestMessage {

    private static final long serialVersionUID = -5002696055892258068L;

    private TransformerStateReadRequest() {}

    public TransformerStateReadRequest(String deviceId) {
        super(deviceId);
    }

    public TransformerStateReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
