package com.qhiot.transport.message.request;

/**
 * 删除1条报警配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class WarningConfigDeleteRequest extends RequestMessage {

    private static final long serialVersionUID = 6107983404694032110L;

    /** 0 - 29 */
    private int index;

    private WarningConfigDeleteRequest() {}

    public WarningConfigDeleteRequest(String deviceId) {
        super(deviceId);
    }

    public WarningConfigDeleteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
