package com.qhiot.transport.message.request;

/**
 * 读取1条报警配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class WarningConfigReadRequest extends RequestMessage {

    private static final long serialVersionUID = -3556546596092865059L;

    private int index;

    private WarningConfigReadRequest() {}

    public WarningConfigReadRequest(String deviceId) {
        super(deviceId);
    }

    public WarningConfigReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
