package com.qhiot.transport.message.request;

/**
 * 读取10条报警配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class WarningConfigReadTenRequest extends RequestMessage {

    private static final long serialVersionUID = 6463735704545174974L;
    /** 0 - 2 */
    private int page;

    private WarningConfigReadTenRequest() {}

    public WarningConfigReadTenRequest(String deviceId) {
        super(deviceId);
    }

    public WarningConfigReadTenRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }
}
