package com.qhiot.transport.message.request.camera;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 删除全部摄像头配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class CameraConfigDeleteAllRequest extends RequestMessage {

    private static final long serialVersionUID = 4205758108168300358L;

    private CameraConfigDeleteAllRequest() { }

    public CameraConfigDeleteAllRequest(String deviceId) {
        super(deviceId);
    }

    public CameraConfigDeleteAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
