package com.qhiot.transport.message.request.camera;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 删除摄像头配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class CameraConfigDeleteRequest extends RequestMessage {

    private static final long serialVersionUID = -2144486148627718189L;
    private int cameraIndex;

    private CameraConfigDeleteRequest() { }

    public CameraConfigDeleteRequest(String deviceId) {
        super(deviceId);
    }

    public CameraConfigDeleteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getCameraIndex() {
        return cameraIndex;
    }

    public CameraConfigDeleteRequest setCameraIndex(int cameraIndex) {
        this.cameraIndex = cameraIndex;
        return this;
    }
}
