package com.qhiot.transport.message.request.camera;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取全部摄像头配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class CameraConfigReadAllRequest extends RequestMessage {

    private static final long serialVersionUID = -2911085001119639606L;

    private CameraConfigReadAllRequest() { }

    public CameraConfigReadAllRequest(String deviceId) {
        super(deviceId);
    }

    public CameraConfigReadAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
