package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取工作模式指令
 *
 * @author 金建强(ptma@163.com)
 */
public class IOWorkModelReadRequest extends RequestMessage {

    private static final long serialVersionUID = -3420905975887532332L;

    private IOWorkModelReadRequest() { }

    public IOWorkModelReadRequest(String deviceId) {
        super(deviceId);
    }

    public IOWorkModelReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
