package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 删除全部开关量输入配置指令
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-07-05 17:01:25
 */
public class InputConfigDeleteAllRequest extends RequestMessage {

    private static final long serialVersionUID = 3013019875086940798L;

    private InputConfigDeleteAllRequest() {}

    public InputConfigDeleteAllRequest(String deviceId) {
        super(deviceId);
    }

    public InputConfigDeleteAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
