package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 删除开关量输入配置指令
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-07-05 17:04:25
 */
public class InputConfigDeleteRequest extends RequestMessage {

    private static final long serialVersionUID = 102411579320734142L;
    private int         index;

    public InputConfigDeleteRequest(String deviceId) {
        super(deviceId);
    }

    public InputConfigDeleteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    private InputConfigDeleteRequest() { }

    public int getIndex() {
        return index;
    }

    public InputConfigDeleteRequest setIndex(int index) {
        this.index = index;
        return this;
    }
}
