package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取全部指令
 *
 * @author 金建强(ptma@163.com)
 */
public class InputConfigReadAllRequest extends RequestMessage {

    private static final long serialVersionUID = 8029930803811305373L;

    private InputConfigReadAllRequest() { }

    public InputConfigReadAllRequest(String deviceId) {
        super(deviceId);
    }

    public InputConfigReadAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
