package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取开关量输入配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class InputConfigReadRequest extends RequestMessage {

    private static final long serialVersionUID = -3156645258735781894L;
    private int         index;

    private InputConfigReadRequest() { }

    public InputConfigReadRequest(String deviceId) {
        super(deviceId);
    }

    public InputConfigReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public InputConfigReadRequest setIndex(int index) {
        this.index = index;
        return this;
    }
}
