package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取全部开关量输出配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class OutputConfigReadAllRequest extends RequestMessage {

    private static final long serialVersionUID = -4440835758168258300L;

    private OutputConfigReadAllRequest() { }

    public OutputConfigReadAllRequest(String deviceId) {
        super(deviceId);
    }

    public OutputConfigReadAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
