package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取开关量输出配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class OutputConfigReadRequest extends RequestMessage {

    private static final long serialVersionUID = 7582997967045594523L;
    private int         index;

    private OutputConfigReadRequest() { }

    public OutputConfigReadRequest(String deviceId) {
        super(deviceId);
    }

    public OutputConfigReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public OutputConfigReadRequest setIndex(int index) {
        this.index = index;
        return this;
    }
}
