package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 打开开关量输出指令
 *
 * @author 金建强(ptma@163.com)
 */
public class OutputOpenRequest extends RequestMessage {

    private static final long serialVersionUID = -5977086123727801799L;
    private int         index;

    private OutputOpenRequest() { }

    public OutputOpenRequest(String deviceId) {
        super(deviceId);
    }

    public OutputOpenRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public OutputOpenRequest setIndex(int index) {
        this.index = index;
        return this;
    }
}
