package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 删除全部开关量输出周期性配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class OutputPeriodConfigDeleteAllRequest extends RequestMessage {

    private static final long serialVersionUID = -2124794683825356986L;

    private OutputPeriodConfigDeleteAllRequest() { }

    public OutputPeriodConfigDeleteAllRequest(String deviceId) {
        super(deviceId);
    }

    public OutputPeriodConfigDeleteAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
