package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 删除开关量输出周期性配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class OutputPeriodConfigDeleteRequest extends RequestMessage {

    private static final long serialVersionUID = 3470167278252620924L;
    private int         index;

    private OutputPeriodConfigDeleteRequest() { }

    public OutputPeriodConfigDeleteRequest(String deviceId) {
        super(deviceId);
    }

    public OutputPeriodConfigDeleteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public OutputPeriodConfigDeleteRequest setIndex(int index) {
        this.index = index;
        return this;
    }
}
