package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取全部开关量输出周期性配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class OutputPeriodConfigReadAllRequest extends RequestMessage {

    private static final long serialVersionUID = -513283371713764285L;

    private OutputPeriodConfigReadAllRequest() { }

    public OutputPeriodConfigReadAllRequest(String deviceId) {
        super(deviceId);
    }

    public OutputPeriodConfigReadAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
