package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 删除一条输入输出关联配置信息
 *
 * @author 金建强(ptma@163.com)
 */
public class OverloadCurrentDeleteRequest extends RequestMessage {

    private static final long serialVersionUID = 2863926429806395185L;

    private int         index;

    private OverloadCurrentDeleteRequest() {}

    public OverloadCurrentDeleteRequest(String deviceId) {
        super(deviceId);
    }

    public OverloadCurrentDeleteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}

