package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取全部输入输出关联配置信息
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-07-05 17:01:25
 */
public class OverloadCurrentReadAllRequest extends RequestMessage {

    private static final long serialVersionUID = -1064481646479364525L;

    private OverloadCurrentReadAllRequest() {}

    public OverloadCurrentReadAllRequest(String deviceId) {
        super(deviceId);
    }

    public OverloadCurrentReadAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
