package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.bean.OverloadCurrent;
import com.qhiot.transport.message.request.RequestMessage;

/**
 * 写入输入输出关联配置信息
 *
 * @author 金建强(ptma@163.com)
 */
public class OverloadCurrentWriteRequest extends RequestMessage {

    private static final long serialVersionUID = 2556880101940231543L;

    private int         index;

    private OverloadCurrent config;

    private OverloadCurrentWriteRequest() {}

    public OverloadCurrentWriteRequest(String deviceId) {
        super(deviceId);
    }

    public OverloadCurrentWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public OverloadCurrentWriteRequest setIndex(int index) {
        this.index = index;
        return this;
    }

    public OverloadCurrent getConfig() {
        return config;
    }

    public OverloadCurrentWriteRequest setConfig(OverloadCurrent config) {
        this.config = config;
        return this;
    }
}
