package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.define.DeviceType;
import com.qhiot.transport.message.request.RequestMessage;

/**
 * 打开所有无线开关指令
 *
 * @author 金建强(ptma@163.com)
 */
public class WirelessSwitchOpenAllRequest extends RequestMessage {

    private static final long serialVersionUID = -86524223162695879L;

    private WirelessSwitchOpenAllRequest() {}

    public WirelessSwitchOpenAllRequest(String deviceId) {
        super(DeviceType.WIRELESS_SWITCH.getValue(), deviceId);
    }

    public WirelessSwitchOpenAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

}
