package com.qhiot.transport.message.response;

/**
 * AT指令回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class AtCommandResponse extends ResponseMessage {

    private static final long serialVersionUID = -7065484289959740342L;

    private String report;

    private AtCommandResponse() {}

    public AtCommandResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public String getReport() {
        return report;
    }

    public void setReport(String report) {
        this.report = report;
    }
}
