package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.DeviceParam;

/**
 * 终端信息
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class DeviceParamResponse extends ResponseMessage {

    private static final long serialVersionUID = 3204269777316653422L;

    private DeviceParam deviceParam;

    private DeviceParamResponse() {}

    public DeviceParamResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public DeviceParam getDeviceParam() {
        return deviceParam;
    }

    public DeviceParamResponse setDeviceParam(DeviceParam deviceParam) {
        this.deviceParam = deviceParam;
        return this;
    }
}
