package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.EquipmentConfig;

/**
 * 读1条设备配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2017/03/21 15:59
 */
public class EquipmentConfigReadResponse extends ResponseMessage {

    private static final long serialVersionUID = -6413069909659784885L;

    private EquipmentConfig config;

    private EquipmentConfigReadResponse() {}

    public EquipmentConfigReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public EquipmentConfig getConfig() {
        return config;
    }

    public void setConfig(EquipmentConfig config) {
        this.config = config;
    }
}
