package com.qhiot.transport.message.response;

/**
 * Modbus 参数写入回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class EquipmentMonitoringDataWriteResponse extends ResponseMessage {

    private static final long serialVersionUID = 778924433370697996L;

    private Boolean succeed;

    private EquipmentMonitoringDataWriteResponse() {}

    public EquipmentMonitoringDataWriteResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }


    public Boolean getSucceed() {
        return succeed;
    }

    public EquipmentMonitoringDataWriteResponse setSucceed(Boolean succeed) {
        this.succeed = succeed;
        return this;
    }
}
