package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.EquipmentMonitoring;

import java.util.List;

/**
 * 读10条测点配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2017/03/21 15:59
 */
public class EquipmentMonitoringReadTenResponse extends ResponseMessage {

    private static final long serialVersionUID = -5665195583122179752L;

    private List<EquipmentMonitoring> configs;

    private EquipmentMonitoringReadTenResponse() {}

    public EquipmentMonitoringReadTenResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public List<EquipmentMonitoring> getConfigs() {
        return configs;
    }

    public EquipmentMonitoringReadTenResponse setConfigs(List<EquipmentMonitoring> configs) {
        this.configs = configs;
        return this;
    }
}
