package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.HistoryCount;

/**
 * 历史数据数量
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class HistoryCountResponse extends ResponseMessage {

    private static final long serialVersionUID = 7696400523979884279L;

    private HistoryCount historyCount;

    private HistoryCountResponse() {}

    public HistoryCountResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public HistoryCount getHistoryCount() {
        return historyCount;
    }

    public void setHistoryCount(HistoryCount historyCount) {
        this.historyCount = historyCount;
    }
}
