package com.qhiot.transport.message.response;

/**
 * Modbus 参数写入回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class ModbusDataWriteResponse extends ResponseMessage {

    private static final long serialVersionUID = -717383905299626414L;

    private Boolean succeed;

    private ModbusDataWriteResponse() {}

    public ModbusDataWriteResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }


    public Boolean getSucceed() {
        return succeed;
    }

    public ModbusDataWriteResponse setSucceed(Boolean succeed) {
        this.succeed = succeed;
        return this;
    }
}
