package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.ResourceConfig;

/**
 * 读1条资源配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2017/03/21 15:59
 */
public class ResourceConfigReadResponse extends ResponseMessage {

    private static final long serialVersionUID = -8390851040404844814L;

    private ResourceConfig config;

    private ResourceConfigReadResponse() {}

    public ResourceConfigReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public ResourceConfig getConfig() {
        return config;
    }

    public void setConfig(ResourceConfig config) {
        this.config = config;
    }
}
