package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.ResourceTest;

/**
 * 资源配置透传数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2017/03/21 15:59
 */
public class ResourceConfigTestDataResponse extends ResponseMessage {

    private static final long serialVersionUID = -8492571186124692014L;

    private ResourceTest data;

    private ResourceConfigTestDataResponse() {}

    public ResourceConfigTestDataResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public ResourceTest getData() {
        return data;
    }

    public void setData(ResourceTest data) {
        this.data = data;
    }

}
