package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.ResourceUpload;

/**
 * 资源上传数据回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2017/03/21 15:59
 */
public class ResourceUploadDataResponse extends ResponseMessage {

    private static final long serialVersionUID = 3416119693280029248L;

    private ResourceUpload data;

    private ResourceUploadDataResponse() {}

    public ResourceUploadDataResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public ResourceUpload getData() {
        return data;
    }

    public void setData(ResourceUpload data) {
        this.data = data;
    }
}
