package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.Rs485Collection;

/**
 * 485采集回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class Rs485CollectionResponse extends ResponseMessage {

    private static final long serialVersionUID = -3877615249360240649L;

    private Boolean succeed;

    private Rs485Collection rs485Collection;

    private Rs485CollectionResponse() {}

    public Rs485CollectionResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public Boolean getSucceed() {
        return succeed;
    }

    public Rs485CollectionResponse setSucceed(Boolean succeed) {
        this.succeed = succeed;
        return this;
    }

    public Rs485Collection getRs485Collection() {
        return rs485Collection;
    }

    public Rs485CollectionResponse setRs485Collection(Rs485Collection rs485Collection) {
        this.rs485Collection = rs485Collection;
        return this;
    }
}
