package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.Rs485Config;

import java.util.List;

/**
 * 读485指令配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class Rs485ConfigReadAllResponse extends ResponseMessage {

    private static final long serialVersionUID = 2079106457650973138L;

    private List<Rs485Config> configs;

    private Rs485ConfigReadAllResponse() {}

    public Rs485ConfigReadAllResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public List<Rs485Config> getConfigs() {
        return configs;
    }

    public Rs485ConfigReadAllResponse setConfigs(List<Rs485Config> configs) {
        this.configs = configs;
        return this;
    }
}
