package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.Rs485Config;

/**
 * 读485指令配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class Rs485ConfigReadResponse extends ResponseMessage {

    private static final long serialVersionUID = 2079106457650973138L;

    private Rs485Config config;

    private Rs485ConfigReadResponse() {}

    public Rs485ConfigReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public Rs485Config getConfig() {
        return config;
    }

    public Rs485ConfigReadResponse setConfig(Rs485Config config) {
        this.config = config;
        return this;
    }
}
