package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.Sms;

/**
 * 读短信回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class SmsReadResponse extends ResponseMessage {

    private static final long serialVersionUID = -8865104420535799860L;
    private Sms sms;

    private SmsReadResponse() {}

    public SmsReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public Sms getSms() {
        return sms;
    }

    public SmsReadResponse setSms(Sms sms) {
        this.sms = sms;
        return this;
    }
}
