package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.WarningConfig;

/**
 * 读1条报警配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2017/03/21 15:59
 */
public class WarningConfigReadResponse extends ResponseMessage {

    private static final long serialVersionUID = -3836713295071104964L;

    private WarningConfig config;

    private WarningConfigReadResponse() {}

    public WarningConfigReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public WarningConfig getConfig() {
        return config;
    }

    public void setConfig(WarningConfig config) {
        this.config = config;
    }
}
