package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.WarningConfig;

import java.util.List;

/**
 * 读10条报警配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2017/03/21 15:59
 */
public class WarningConfigReadTenResponse extends ResponseMessage {

    private static final long serialVersionUID = -2251187755106016929L;

    private List<WarningConfig> configs;

    private WarningConfigReadTenResponse() {}

    public WarningConfigReadTenResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public List<WarningConfig> getConfigs() {
        return configs;
    }

    public WarningConfigReadTenResponse setConfigs(List<WarningConfig> configs) {
        this.configs = configs;
        return this;
    }
}
