package com.qhiot.transport.message.response.camrea;

import com.qhiot.transport.message.bean.CameraConfig;
import com.qhiot.transport.message.response.ResponseMessage;

import java.util.List;

/**
 * 读摄像头配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class CameraConfigReadAllResponse extends ResponseMessage {

    private static final long serialVersionUID = 2079106457650973138L;

    private List<CameraConfig> configs;

    private CameraConfigReadAllResponse() {}

    public CameraConfigReadAllResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public List<CameraConfig> getConfigs() {
        return configs;
    }

    public CameraConfigReadAllResponse setConfigs(List<CameraConfig> configs) {
        this.configs = configs;
        return this;
    }
}
