package com.qhiot.transport.message.response.camrea;

import com.qhiot.transport.message.bean.CameraTimePointConfig;
import com.qhiot.transport.message.response.ResponseMessage;

/**
 * 读摄像头拍照时间点配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class CameraTimePointReadResponse extends ResponseMessage {

    private static final long serialVersionUID = 2079106457650973138L;

    private CameraTimePointConfig config;

    private CameraTimePointReadResponse() {}

    public CameraTimePointReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public CameraTimePointConfig getConfig() {
        return config;
    }

    public CameraTimePointReadResponse setConfig(CameraTimePointConfig config) {
        this.config = config;
        return this;
    }
}
