package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.response.ResponseMessage;

/**
 * 电量计数值
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class CoulometerDataResponse extends ResponseMessage {

    private static final long serialVersionUID = -3682120719312276430L;

    private int[]             value            = new int[16];

    private CoulometerDataResponse() {}

    public CoulometerDataResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int[] getValue() {
        return value.clone();
    }

    public CoulometerDataResponse setValue(int index, int value) {
        if (index>=0 && index<16) {
            this.value[index] = value;
        }
        return this;
    }
}
