package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.bean.OverloadWarning;
import com.qhiot.transport.message.response.ResponseMessage;

/**
 * 读动力设备监测电流状态回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class OverloadWarningReadResponse extends ResponseMessage {

    private static final long serialVersionUID = -5264132050012491577L;

    private OverloadWarning config;

    private OverloadWarningReadResponse() {}

    public OverloadWarningReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public OverloadWarning getConfig() {
        return config;
    }

    public OverloadWarningReadResponse setConfig(OverloadWarning config) {
        this.config = config;
        return this;
    }
}
