package com.qhiot.transport.codec;

import com.qhiot.core.util.RandomString;

import java.util.concurrent.ConcurrentHashMap;

/**
 * 解码器链上下文
 *
 * @author 金建强(ptma/@163.com)
 * @version 2017/9/14 11:14
 */
public class ChainContext extends ConcurrentHashMap<String, Object> {

    public static final String PACKET_V1      = "PACKET_V1";

    public static final String PACKET_V2      = "PACKET_V2";

    public static final String COLLECTION_485 = "COLLECTION_485";

    private String id;

    public ChainContext() {
        id = RandomString.get().randomAlphaNumeric(8).toLowerCase();
    }

    public String getId() {
        return id;
    }

}
