package com.qhiot.transport.codec.bean;

import java.util.Date;
import java.util.concurrent.atomic.LongAdder;

/**
 * 终端在线数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2018/1/11 21:33
 */
public class ProcessCount {

    private Date   startTime;
    private Date   endTime;
    private LongAdder processSum;

    public ProcessCount(Date startTime, Date endTime) {
        this.startTime = startTime;
        this.endTime = endTime;
        this.processSum = new LongAdder();
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public LongAdder getProcessSum() {
        return processSum;
    }

    public void setProcessSum(LongAdder processSum) {
        this.processSum = processSum;
    }
}
