package com.qhiot.transport.jms.kafka;

import com.qhiot.kafka.BaseJmsKafkaMessageSender;
import com.qhiot.kafka.KafkaTopicDestinations;
import com.qhiot.transport.message.CodecLogMessage;
import org.springframework.kafka.core.KafkaTemplate;

/**
 * 发送解码器解码日志消息, Kafka实现
 *
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2021-05-27 18:10:13
 */
public class CodecLogKafkaSender extends BaseJmsKafkaMessageSender {

    public CodecLogKafkaSender(KafkaTemplate kafkaTemplate, String destinationPrefix) {
        super(kafkaTemplate, destinationPrefix + KafkaTopicDestinations.CODEC_LOG);
    }

    public void sendMessage(final CodecLogMessage message) {
        super.sendMessage(message);
    }
}
