package com.qhiot.transport.jms.kafka;

import com.qhiot.kafka.BaseJmsKafkaMessageSender;
import com.qhiot.kafka.KafkaTopicDestinations;
import com.qhiot.transport.message.data.ConnectionData;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.kafka.core.KafkaTemplate;

/**
 *
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2021-05-27 18:09:59
 */

public class ConnectionDataKafkaSender extends BaseJmsKafkaMessageSender {

    private static final Logger LOGGER = LoggerFactory.getLogger(ConnectionDataKafkaSender.class);

    private String topicDestination;

    public ConnectionDataKafkaSender(KafkaTemplate kafkaTemplate, String destinationPrefix) {
        super(kafkaTemplate, destinationPrefix + KafkaTopicDestinations.CONNECTION_DATA);
    }

    public void sendMessage(final ConnectionData message) {
        super.sendMessage(message);
    }
}
