package com.qhiot.transport.jms.kafka;

import com.qhiot.kafka.BaseJmsKafkaMessageSender;
import com.qhiot.kafka.KafkaTopicDestinations;
import com.qhiot.transport.message.data.CoulometerData;
import org.springframework.kafka.core.KafkaTemplate;

/**
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2021-05-27 18:09:59
 */
public class CoulometerDataKafkaSender extends BaseJmsKafkaMessageSender {

    public CoulometerDataKafkaSender(KafkaTemplate kafkaTemplate, String destinationPrefix) {
        super(kafkaTemplate, destinationPrefix + KafkaTopicDestinations.COULOMETER_DATA);
    }

    public void sendMessage(final CoulometerData message) {
        super.sendMessage(message);
    }
}
