package com.qhiot.transport.jms.kafka;

import com.qhiot.kafka.BaseJmsKafkaMessageSender;
import com.qhiot.kafka.KafkaTopicDestinations;
import com.qhiot.transport.message.data.InputStateData;
import org.springframework.kafka.core.KafkaTemplate;

/**
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2021-05-27 18:09:59
 */
public class InputStateDataKafkaSender extends BaseJmsKafkaMessageSender {

    public InputStateDataKafkaSender(KafkaTemplate kafkaTemplate, String destinationPrefix) {
        super(kafkaTemplate, destinationPrefix + KafkaTopicDestinations.INPUT_STATE_DATA);
    }


    public void sendMessage(final InputStateData message) {
        super.sendMessage(message);
    }
}
