package com.qhiot.transport.jms.kafka;

import com.qhiot.kafka.BaseJmsKafkaMessageSender;
import com.qhiot.kafka.KafkaTopicDestinations;
import com.qhiot.transport.message.data.SnapData;
import com.qhiot.transport.message.data.SnapDataBurst;
import org.springframework.kafka.core.KafkaTemplate;

/**
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2021-05-27 18:09:59
 */
public class SnapDataBurstKafkaSender extends BaseJmsKafkaMessageSender {

    public SnapDataBurstKafkaSender(KafkaTemplate kafkaTemplate, String destinationPrefix) {
        super(kafkaTemplate, destinationPrefix + KafkaTopicDestinations.SNAP_DATA_BURST);
    }

    public void sendMessage(final SnapDataBurst message) {
        super.sendMessage(0,message);
    }
}
