package com.qhiot.transport.jms.kafka;

import com.qhiot.kafka.BaseJmsKafkaMessageSender;
import com.qhiot.kafka.KafkaTopicDestinations;
import com.qhiot.transport.message.data.Tag780mData;
import org.springframework.kafka.core.KafkaTemplate;

/**
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2021-05-27 18:09:59
 */
public class Tag780mDataKafkaSender extends BaseJmsKafkaMessageSender {

    public Tag780mDataKafkaSender(KafkaTemplate kafkaTemplate, String destinationPrefix) {
        super(kafkaTemplate, destinationPrefix + KafkaTopicDestinations.TAG780M_DATA);
    }

    public void sendMessage(final Tag780mData message) {
        super.sendMessage(message);
    }
}
