package com.qhiot.transport.jms.kafka;

import com.qhiot.kafka.BaseJmsKafkaMessageSender;
import com.qhiot.kafka.KafkaTopicDestinations;
import com.qhiot.transport.db.model.TransportWarning;
import org.springframework.kafka.core.KafkaTemplate;

/**
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2021-05-27 18:09:59
 */
public class TransportWarningKafkaSender extends BaseJmsKafkaMessageSender {

    public TransportWarningKafkaSender(KafkaTemplate kafkaTemplate, String destinationPrefix) {
        super(kafkaTemplate, destinationPrefix + KafkaTopicDestinations.TRANSPORT_WARNING_DATA);
    }


    public void sendMessage(final TransportWarning message) {
        super.sendMessage(message);
    }
}
