package com.qhiot.transport.message.bean;

import com.qhiot.transport.codec.exception.DecodeException;
import io.netty.buffer.ByteBuf;

/**
 * @author 金建强(ptma@163.com)
 * @version 2016/6/23 16:26
 */
public class HistoryCountBuilder {

    public static HistoryCount read(ByteBuf buf) {
        try {
            HistoryCount dataCount = new HistoryCount();
            dataCount.initMark = buf.readByte();
            dataCount.dataCount = buf.readIntLE();
            dataCount.nextIndex = buf.readIntLE();
            return dataCount;
        } catch (RuntimeException e) {
            throw new DecodeException(e);
        }
    }
}
