//package com.qhiot.cache.redis;
//
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.data.redis.cache.RedisCache;
//import org.springframework.data.redis.core.RedisOperations;
//
///**
// * 自定义的redis缓存
// */
//public class CustomizedRedisCache extends RedisCache {
//
//    private static final Logger LOGGER            = LoggerFactory.getLogger(CustomizedRedisCache.class);
//
//    public CustomizedRedisCache(String name, byte[] prefix, RedisOperations<? extends Object, ? extends Object> redisOperations, long expiration) {
//        super(name, prefix, redisOperations, expiration);
//    }
//
//    public CustomizedRedisCache(String name, byte[] prefix, RedisOperations<? extends Object, ? extends Object> redisOperations, long expiration, boolean allowNullValues) {
//        super(name, prefix, redisOperations, expiration, allowNullValues);
//    }
//
//    @Override
//    public ValueWrapper get(final Object key) {
//        long start = System.currentTimeMillis();
//        ValueWrapper valueWrapper = super.get(key);
//        long end = System.currentTimeMillis();
//        long time = end - start;
//
//        if (time >= 5000) {
//            LOGGER.warn("获取缓存耗时: {}ms, key={}:{}", time, getName(), key);
//        }
//        return valueWrapper;
//    }
//
//}
