package com.qhiot.core.sql.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * <P>
 * User: 金建强(ptma@163.com)
 * </P>
 * <p>
 * Date: 2016-01-18 15:21
 * </p>
 */
@Target({FIELD})
@Retention(RUNTIME)
public @interface Key {

    KeyType type() default KeyType.SNOWFLAKE;

    String sql() default "";
}
