package com.qhiot.influxdb.model;

import lombok.Getter;
import lombok.Setter;
import org.influxdb.annotation.Column;
import org.influxdb.annotation.Measurement;

/**
 * 1 * @Author: luoj
 * 2 * @Date: 2021/5/24 16:17
 * 3 influx存储策略对象
 */
@Getter
@Setter
@Measurement(name = "RetentionPolicies",database = "seem")
public class RetentionPolicy {
    @Column(name = "name")
    private String name;


    @Column(name = "duration")
    private String duration;

    /**
     * 碎片持续时间
     */
    @Column(name = "shardGroupDuration")
    private String shardGroupDuration;

    @Column(name = "replicaN")
    private Double replicaN;

    @Column(name = "default")
    private Boolean defaults;

    @Override
    public String toString() {
        return
                "name='" + name + '\'' +
                ", duration='" + duration + '\'' +
                ", shardGroupDuration='" + shardGroupDuration + '\'' +
                ", replicaN=" + replicaN +
                ", defaults=" + defaults +
                '}';
    }
}
