package com.qhiot.influxdb;

import com.qhiot.core.util.JsonUtil;
import com.qhiot.core.util.ThreadUtil;
import com.qhiot.influxdb.connect.InfluxDBConnection;
import com.qhiot.influxdb.mapper.InfluxDBBaseMapper;
import com.qhiot.influxdb.model.RetentionPolicy;
import org.influxdb.InfluxDB;
import org.influxdb.impl.InfluxDBMapper;

import java.io.*;
import java.util.concurrent.ThreadPoolExecutor;

/**
 * 1 * @Author: luoj
 * 2 * @Date: 2019/9/12 9:47
 * 3
 */
public class InsertInfluxdb {
    public static void main(String[] args) {
        try {
            InfluxDBConnection influxDBConnection = new InfluxDBConnection("admin", "admin", "http://127.0.0.1:8086",
                "seem", "autogen", false, 1000, 5000,
                20, 300, 30);
            InfluxDB influxDB = influxDBConnection.getInfluxDB();
            boolean exists = influxDBConnection.retentionPolicyExists("seem","test1");
            System.out.println(exists);
            influxDBConnection.alertRetentionPolicy("test1","seem","10d", false);
            RetentionPolicy retentionPolicy = influxDBConnection.selectRetentionPolicy("seem","test1");
            System.out.println(retentionPolicy);
            influxDBConnection.deleteRetentionPolicy("test1","seem");
            retentionPolicy = influxDBConnection.selectRetentionPolicy("seem","test1");
            System.out.println(retentionPolicy);



        } catch (Exception e) {
            System.out.println(e.getMessage());
        }
    }
}

