package com.qhiot.log2jms;

import com.qhiot.kafka.BaseJmsKafkaMessageSender;
import com.qhiot.kafka.KafkaTopicDestinations;
import org.springframework.kafka.core.KafkaTemplate;

/**
 * 发送日志消息, 使用 Topic 广播
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2016/6/21 16:28
 */
public class JmsLoggerKafkaSender extends BaseJmsKafkaMessageSender {

    public JmsLoggerKafkaSender(KafkaTemplate kafkaTemplate, String destinationPrefix) {
        super(kafkaTemplate, destinationPrefix + KafkaTopicDestinations.TOPIC_APP_LOG);
    }


    public void sendMessage(final LogMessage message) {
        super.sendMessage(message);
    }
}
