/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-07-19 10:33:30
 */
package com.qhiot.transport.db.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.core.sql.annotation.Key;
import com.qhiot.core.sql.annotation.KeyType;
import com.qhiot.core.util.ExcelUtil;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * Table: device_production -  <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-07-19 10:33:30
 */
@Data
@Entity
public class DeviceProductionExcelDTO implements Serializable {

    @ExcelUtil.ExcelHeader("终端编号")
    private String deviceId;

    @ExcelUtil.ExcelHeader("终端类型")
    private String deviceModel;

    @ExcelUtil.ExcelHeader("出厂日期")
    private String productionDate;

}
