package com.qhiot.transport.db.dto;

import com.qhiot.transport.db.model.Device;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.Date;


@Data
public class DeviceSimDTO implements Serializable {
    private static final long serialVersionUID = -399808426117999085L;
    private Long tenantId;
    private String tenantName;
    private Long tenantManagerId;
    private String tenantManagerName;
    private Long stationId;
    private String stationName;
    private String deviceId;
    private String iccid;
    private Double flowToday;
    private Double flowMonth;
}
