package com.qhiot.transport.db.dto;

import com.qhiot.transport.db.model.Device;
import lombok.Data;

import javax.persistence.Column;


@Data
public class DeviceWithTenantDTO extends Device{
    @Column(name = "a.device_id")
    private String deviceId;

    @Column(name = "b.tenant_name")
    private String tenantName;

    @Column(name = "b.tenant_alias")
    private String tenantAlias;

    @Column(name = "c.tenant_manager_name")
    private String tenantManagerName;

    @Column(name = "c.tenant_manager_alias")
    private String tenantManagerAlias;

    @Column(name = "e.station_name")
    private String stationName;

}
