/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 02:18:32
 */
package com.qhiot.transport.db.dto;

import com.qhiot.transport.db.model.LibEquipment;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;

/**
 * Table: lib_equipment - 设备库 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-12-19 02:18:32
 */
@Getter
@Setter
@Entity
public class LibEquipmentDTO extends LibEquipment {
    @Column(name="a.equipment_type_id")
    private Long equipmentTypeId;
    @Column(name="model_name")
    private String modelName;
    @Column(name="equipment_type_name")
    private String equipmentTypeName;
    @Column(name="type_code")
    private Short typeCode;
    /** Column: connect_type - 接入类型 */
    @Column(name="connect_type")
    private Short connectType;
}
