package com.qhiot.transport.db.dto;

import com.qhiot.transport.db.model.LibEquipmentFaultcode;
import lombok.Data;

import javax.persistence.Column;

@Data
public class LibEquipmentFaultcodeDTO extends LibEquipmentFaultcode{

    @Column(name = "a.fault_code_id")
    private Long faultCodeId;

    @Column(name = "b.tenant_id")
    private Long tenantId;

    private String faultSource;

    /** Column: fault_type - 告警类型 */
    private String faultType;

    /** Column: fault_classification - 告警分类 */
    private String faultClassification;

    /** Column: fault_name - 告警名称 */
    private String faultName;

    private String faultCode;

    private String faultDesc;
}
