/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 02:19:02
 */
package com.qhiot.transport.db.dto;

import com.qhiot.transport.db.model.LibEquipmentMonitoring;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;

/**
 * Table: lib_equipment_monitoring - 设备测点库 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-12-19 02:19:02
 */
@Getter
@Setter
@Entity
public class LibEquipmentMonitoringDTO extends LibEquipmentMonitoring {
    @Column(name="a.equipment_id")
    private Long equipmentId;
    @Column(name="a.index_id")
    private Long indexId;
    @Column(name="equipment_name")
    private String equipmentName;
    @Column(name="index_name")
    private String indexName;
    @Column(name="a.value_precision")
    private Short valuePrecision;

}
