package com.qhiot.transport.db.dto;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qhiot.transport.db.model.MonitoringDataHistory;

/**
 * 检测数据图表点位数据
 *
 * @author 金建强(ptma/@163.com)
 * @version 2017/4/25 13:02
 */
@Getter
@Setter
public class MonitoringChartData extends MonitoringDataHistory {

    private static final long serialVersionUID = 8552579140036513618L;

    private Double dataValue;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date dataTime;


}
