package com.qhiot.transport.db.dto;

import java.util.Date;

import javax.persistence.Entity;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Entity
public class MonitoringStatDataDTO {

    /** Column: device_id - 终端编号 */
    private String deviceId;

    /** Column: monitoring_id - 测点编号 */
    private Long monitoringId;

    /** Column: sm_id - 站点测点映射ID */
    private Long smId;

    /** Column: index_id - 指标ID */
    private Long indexId;

    /** Column: data_value - 统计值 */
    private Double dataValue;

    /** Column: data_time - 时间 */
    private Date dataTime;
}
