/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-02-24 10:16:42
 */
package com.qhiot.transport.db.dto;

import com.qhiot.transport.db.model.TransportAttendance;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;

/**
 * Table: transport_ascii_param_history - 动态参数 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-02-24 10:16:42
 */
@Getter
@Setter
@Entity
public class TransportAttendanceDTO extends TransportAttendance {

    private static final long serialVersionUID = -2214159989712984889L;

    @Column(name="A.device_id")
    private String deviceId;

    private Long tenantId;

    private Integer attendanceTime;

    @Column(name="s.station_id")
    private Long stationId;

    @Column(name="name")
    private String userName;
}
