/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-02-24 10:16:42
 */
package com.qhiot.transport.db.dto;

import com.qhiot.transport.db.model.TransportUpgradeLog;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.util.Date;

/**
 * @author 金建强(ptma@163.com)
 * @version 2017-02-24 10:16:42
 */
@Getter
@Setter
@Entity
public class TransportUpgradeLogDTO extends TransportUpgradeLog {

    private static final long serialVersionUID = -7414462212003441034L;

    @Column(name="A.device_id")
    private String deviceId;

    @Column(name="B.tenant_id")
    private Long tenantId;

    @Column(name="c.firmware_name")
    private String firmwareName;

    @Column(name="c.firmware_version")
    private String firmwareVersion;

    @Column(name="c.firmware_filekey")
    private String firmwareFilekey;



    /** Column: firmware_type - 固件类型 */
    @Column(name="c.firmware_type")
    private Integer firmwareType;

    /** Column: firmware_version - 固件版本号 */



    /** Column: firmware_signature_algorithm - 签名算法 */
    @Column(name="c.firmware_signature_algorithm")
    private Integer firmwareSignatureAlgorithm;

    /** Column: firmware_describe - 固件描述 */
    @Column(name="c.firmware_describe")
    private String firmwareDescribe;

    /** Column: upload_time - 上传时间 */
    @Column(name="c.upload_time")
    private Date uploadTime;

    /** Column: upload_user - 上传用户 */
    @Column(name="c.upload_user")
    private Long uploadUser;


}
