/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-06-09 04:11:06
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.model.DbStationMonitoring;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: station_monitoring -  <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-06-09 04:11:06
 */
public interface DbStationMonitoringMapper extends Mapper<DbStationMonitoring>, ConditionMapper<DbStationMonitoring> {

    List<Long> getMonitoringIds(Long stationId);

    List<Long> getIndexIds(Long stationId);
}
