/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-07-20 02:01:35
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.model.DeviceNetworkTrafficMonth;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;

import java.util.Date;
import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: device_network_traffic_month - 月设备使用流量 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-07-20 02:01:35
 */
public interface DeviceNetworkTrafficMonthMapper extends Mapper<DeviceNetworkTrafficMonth>, ConditionMapper<DeviceNetworkTrafficMonth> {
    List<DeviceNetworkTrafficMonth> selectFromDNT();

    DeviceNetworkTrafficMonth selectDeviceDataByDate(@Param("deviceId") String deviceId, @Param("trafficTime") Date trafficTime);


}
