/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 02:19:28
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.dto.LibDeviceRegisterAllotDTO;
import com.qhiot.transport.db.model.LibDeviceRegisterAllot;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: lib_device_register_allot - 终端寄存器分配库 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-12-19 02:19:28
 */
public interface LibDeviceRegisterAllotMapper extends Mapper<LibDeviceRegisterAllot>, ConditionMapper<LibDeviceRegisterAllot> {
    List<LibDeviceRegisterAllotDTO> selectDTOByExample(Example example);
}
