/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2019-08-20 05:47:32
 */
package com.qhiot.transport.db.mapper;

import java.util.List;

import com.qhiot.transport.db.dto.LibEquipmentFaultcodeDTO;
import com.qhiot.transport.db.model.LibEquipmentFaultcode;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: lib_equipment_faultcode -  <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2019-08-20 05:47:32
 */
public interface LibEquipmentFaultcodeMapper extends Mapper<LibEquipmentFaultcode>, ConditionMapper<LibEquipmentFaultcode> {

    List<LibEquipmentFaultcodeDTO> selectByEquipmentIdDTO(@Param("equipmentId") Long equipmentId);

    List<LibEquipmentFaultcodeDTO> selectDTOByExample(Example example);
}
