/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-12-19 02:18:32
 */
package com.qhiot.transport.db.mapper;

import com.qhiot.transport.db.dto.LibEquipmentDTO;
import com.qhiot.transport.db.model.LibEquipment;
import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: lib_equipment - 设备库 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2018-12-19 02:18:32
 */
public interface LibEquipmentMapper extends Mapper<LibEquipment>, ConditionMapper<LibEquipment> {
    List<LibEquipmentDTO> selectDTOByExample(Example example);

}
