/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-02-24 10:16:51
 */
package com.qhiot.transport.db.mapper;

import java.util.List;

import com.qhiot.transport.db.dto.TransportAsciiParamHistoryDTO;
import com.qhiot.transport.db.model.TransportAsciiParamHistory;

import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;
import tk.mybatis.mapper.entity.Example;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: transport_ascii_param_history - 动态参数历史 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-02-24 10:16:51
 */
public interface TransportAsciiParamHistoryMapper extends Mapper<TransportAsciiParamHistory>, ConditionMapper<TransportAsciiParamHistory> {

    List<TransportAsciiParamHistoryDTO> selectDTOByExample(Example example);
}
