/*
 * ! CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-02-24 10:16:42
 */
package com.qhiot.transport.db.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import tk.mybatis.mapper.common.ConditionMapper;
import tk.mybatis.mapper.common.Mapper;

import com.qhiot.transport.db.dto.TransportAsciiParamDTO;
import com.qhiot.transport.db.model.TransportAsciiParam;

/**
 * MyBatis Mapper 接口 <br/>
 * Table: transport_ascii_param - 动态参数 <br/>
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-02-24 10:16:42
 */
public interface TransportAsciiParamMapper
        extends
            Mapper<TransportAsciiParam>,
            ConditionMapper<TransportAsciiParam> {

    int updateSynchronousByDeviceId(@Param("deviceId") String deviceId);

    int updateByDeviceIdAndParamKey(TransportAsciiParam entity);

    List<TransportAsciiParamDTO> selectDTOByDeviceId(@Param("deviceId") String deviceId);

    List<TransportAsciiParam> selectNotSynchronousAndReadableByDeviceId(@Param("deviceId") String deviceId);
}
