/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2019-08-07 02:09:06
 */
package com.qhiot.transport.db.model;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * Table: lib_monitoring_next_no - 设备库设备下一个序号 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2019-08-07 02:09:06
 */
@Data
@Entity
@Table(name = "transport_next_sm_code")
public class TransportNextSmCode implements Serializable {

    /**
     * Column: station_id - 站点id
     */
    @Id
    @Column(name = "station_id")
    private Long stationId;


    /**
     * Column: next_no - 下一个序号
     */
    private Integer nextSmCode;

}
