/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2018-02-05 01:58:26
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.DevicePowerStateMapper;
import com.qhiot.transport.db.model.DevicePowerState;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 业务层 <br/>
 * Table: device_power_state - 终端上电掉电记录 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2018-02-05 01:58:26
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class DevicePowerStateService extends BaseService<DevicePowerState> {

    @Autowired
    private DevicePowerStateMapper devicePowerStateMapper;

}
