/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2019-12-27 03:00:15
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.DeviceVirtualMonitoringRelationalMapper;
import com.qhiot.transport.db.model.DeviceVirtualMonitoringRelational;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 业务层 <br/>
 * Table: device_virtual_monitoring_relational - 网关虚拟测点关系表 <br/>
 *
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2019-12-27 03:00:15
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class DeviceVirtualMonitoringRelationalService extends BaseService<DeviceVirtualMonitoringRelational> {

    @Autowired
    private DeviceVirtualMonitoringRelationalMapper deviceVirtualMonitoringRelationalMapper;

}
