/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-02-24 10:16:51
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.TransportAsciiParamHistoryMapper;
import com.qhiot.transport.db.model.TransportAsciiParamHistory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 业务层 <br/>
 * Table: transport_ascii_param_history - 动态参数历史 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2017-02-24 10:16:51
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TransportAsciiParamHistoryService extends BaseService<TransportAsciiParamHistory> {

    @Autowired
    private TransportAsciiParamHistoryMapper transportAsciiParamHistoryMapper;

}
