/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 *
 * Date: 2017-04-28 09:57:24
 */
package com.qhiot.transport.db.service;

import com.qhiot.core.service.BaseService;
import com.qhiot.transport.db.mapper.TransportAttendanceMapper;
import com.qhiot.transport.db.model.TransportAttendance;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 业务层 <br/>
 * Table: transport_attendance - 考勤原始数据 <br/>
 *
 * @author 金建强(ptma @ 163.com)
 * @version 2017-04-28 09:57:24
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TransportAttendanceService extends BaseService<TransportAttendance> {

    @Autowired
    private TransportAttendanceMapper transportAttendanceMapper;

}
