package com.qhiot.transport.message.bean;

import com.qhiot.transport.message.util.MessageBeanUtil;

import java.io.Serializable;

/**
 * 资源测试数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2017-03-21 10:09
 */
public class ResourceTest implements Serializable {

    private static final long serialVersionUID = -495669210203265317L;
    private byte[] data;

    public byte[] getData() {
        return data.clone();
    }

    public ResourceTest setData(byte[] data) {
        this.data = data.clone();
        return this;
    }

    public String getHex() {
        return MessageBeanUtil.toHexString(data, true);
    }

    public String getAscii() {
        return MessageBeanUtil.toGBKString(data);
    }
}
