package com.qhiot.transport.message.bean;

import java.io.Serializable;

/**
 * 780M 无线标签
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-03-21 16:48
 */
public class Tag780m implements Serializable {

    private static final long serialVersionUID = -1825737039150773049L;

    public static final int DATA_LENGTH = 22;

    /** 包头 4B (0x04 0x40 0xFF 0x00) */
    protected byte[]          lead        = new byte[4];

    /** 时间戳 4B */
    protected int             timestamp;
    /** ID 4B */
    protected int             tagId;

    /** 其它数据 10B */
    protected byte[]          data        = new byte[10];

    public byte[] getLead() {
        return lead.clone();
    }

    public void setLead(byte[] lead) {
        this.lead = lead.clone();
    }

    public int getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(int timestamp) {
        this.timestamp = timestamp;
    }

    public int getTagId() {
        return tagId;
    }

    public void setTagId(int tagId) {
        this.tagId = tagId;
    }

    public byte[] getData() {
        return data.clone();
    }

    public void setData(byte[] data) {
        this.data = data.clone();
    }
}
