package com.qhiot.transport.message.bean;

import com.qhiot.transport.message.util.MessageBeanUtil;

import java.io.Serializable;

/**
 * 指令透传
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-07-01 10:20
 */
public class TransmitTransparently implements Serializable {

    private static final long serialVersionUID = 6844801191268298466L;

    private byte[] data;

    public byte[] getData() {
        return data.clone();
    }

    public TransmitTransparently setData(byte[] data) {
        this.data = data.clone();
        return this;
    }

    public String getHex() {
        return MessageBeanUtil.toHexString(data, true);
    }

    public String getAscii() {
        return MessageBeanUtil.toGBKString(data);
    }
}
