/*!
 * CodeGenerator(https://git.oschina.net/ptma/CodeGenerator)
 * 
 * Date: 2018-08-06 10:53:09
 */
package com.qhiot.transport.message.bean;

import lombok.Data;
import java.io.Serializable;
import java.util.Date;

/**
 * @author 罗军(luoj@qh-iot.com)
 * @version 2021-05-20 16:42:45
 */
@Data
public class TransportSnapsegment implements Serializable {

    private String deviceId;

    private Integer cameraIndex;

    /** Column: completedblock - 传输分片数 */
    private Integer completedblock;

    /** Column: totalsegments - 总分片数 */
    private Integer totalsegments;

    private Date createTime;

}
