package com.qhiot.transport.message.data;

/**
 * 电控箱状态数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class ElectricCabinetData extends Data {

    private static final long serialVersionUID = 7956360940023976769L;

    /**
     * 0:非法打开
     * 1:合法打开
     * 2:关闭
     */
    private int               state;

    private ElectricCabinetData(){}

    public ElectricCabinetData(String deviceId) {
        super(deviceId);
    }

    public ElectricCabinetData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }
}
