package com.qhiot.transport.message.data;

import com.qhiot.transport.message.bean.OnboardTag;

/**
 * 车载标签数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 16:39
 */
public class OnboardTagData extends Data {

    private static final long serialVersionUID = 1631067972651614759L;

    private OnboardTag        onboardTag;

    private OnboardTagData(){}

    public OnboardTagData(String deviceId) {
        super(deviceId);
    }

    public OnboardTagData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public OnboardTag getOnboardTag() {
        return onboardTag;
    }

    public OnboardTagData setOnboardTag(OnboardTag onboardTag) {
        this.onboardTag = onboardTag;
        return this;
    }
}
