package com.qhiot.transport.message.data;

import java.util.Date;

/**
 * 上电、掉电数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class PowerData extends Data {

    private static final long serialVersionUID = -8431994173177879636L;

    /**
     * 1: 上电 0: 掉电
     */
    private Integer           powerState;
    private Date              timestamp;

    private PowerData(){}

    public PowerData(String deviceId) {
        super(deviceId);
    }

    public PowerData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public Integer getPowerState() {
        return powerState;
    }

    public void setPowerState(Integer powerState) {
        this.powerState = powerState;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

}
