package com.qhiot.transport.message.data;

import com.qhiot.transport.message.bean.Rs485Collection;

/**
 * 485 采集的数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/4/6 22:51
 */
public class Rs485Data extends Data {

    private static final long serialVersionUID = 5718621577418853866L;

    protected Rs485Collection rs485Collection;

    private Rs485Data() {}

    public Rs485Data(String deviceId) {
        super(deviceId);
    }

    public Rs485Data(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public Rs485Collection getRs485Collection() {
        return rs485Collection;
    }

    public void setRs485Collection(Rs485Collection rs485Collection) {
        this.rs485Collection = rs485Collection;
    }
}
