package com.qhiot.transport.message.data;

import java.util.Date;

/**
 * 上传进度
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class SnapData extends Data {

    private static final long serialVersionUID = -1691926715312795379L;

    private String            fileKey;
    private int               cameraAddr;
    private Date              snapTime;
    private byte[]            binary;

    private SnapData() { }

    public SnapData(String deviceId) {
        super(deviceId);
    }

    public SnapData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }

    public int getCameraAddr() {
        return cameraAddr;
    }

    public void setCameraAddr(int cameraAddr) {
        this.cameraAddr = cameraAddr;
    }

    public Date getSnapTime() {
        return snapTime;
    }

    public void setSnapTime(Date snapTime) {
        this.snapTime = snapTime;
    }

    public byte[] getBinary() {
        return binary;
    }

    public void setBinary(byte[] binary) {
        this.binary = binary;
    }
}
