package com.qhiot.transport.message.data;

import com.qhiot.transport.message.bean.Tag780m;

/**
 * 780M 标签数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class Tag780mData extends Data {

    private static final long serialVersionUID = 6038981704721378304L;

    private Tag780m tag;

    private Tag780mData() { }

    public Tag780mData(String deviceId) {
        super(deviceId);
    }

    public Tag780mData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public Tag780m getTag() {
        return tag;
    }

    public Tag780mData setTag(Tag780m tag) {
        this.tag = tag;
        return this;
    }
}
