package com.qhiot.transport.message.data;

import java.util.Date;

/**
 * 告警数据
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class WarningData extends Data {

    private static final long serialVersionUID = 521649491555663618L;

    private String            warningMessage;
    private Date              firstTime;
    private Date              latestTime;
    private int               warningCount;

    private WarningData() {}

    public WarningData(String deviceId) {
        super(deviceId);
    }

    public WarningData(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public String getWarningMessage() {
        return warningMessage;
    }

    public void setWarningMessage(String warningMessage) {
        this.warningMessage = warningMessage;
    }

    public Date getFirstTime() {
        return firstTime;
    }

    public void setFirstTime(Date firstTime) {
        this.firstTime = firstTime;
    }

    public Date getLatestTime() {
        return latestTime;
    }

    public void setLatestTime(Date latestTime) {
        this.latestTime = latestTime;
    }

    public int getWarningCount() {
        return warningCount;
    }

    public void setWarningCount(int warningCount) {
        this.warningCount = warningCount;
    }
}
