package com.qhiot.transport.message.request;

/**
 * AT 指令
 *
 * @author 金建强(ptma@163.com)
 */
public class AtCommandRequest extends RequestMessage {

    private static final long serialVersionUID = 4177929702391266268L;
    private String command;

    private AtCommandRequest() {}

    public AtCommandRequest(String deviceId) {
        super(deviceId);
    }

    public AtCommandRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public String getCommand() {
        return command;
    }

    public AtCommandRequest setCommand(String command) {
        this.command = command;
        return this;
    }
}
