package com.qhiot.transport.message.request;

/**
 * 解码器变更
 *
 * @author 金建强(ptma@163.com)
 */
public class DecoderChangedRequest extends RequestMessage {

    private static final long serialVersionUID = 8007933073240395190L;

    private String            category;

    private DecoderChangedRequest() {}

    public DecoderChangedRequest(String category) {
        super("0");
        this.category = category;
    }

    public String getCategory() {
        return category;
    }
}
