package com.qhiot.transport.message.request;

/**
 * 解码器脚本编译请求
 *
 * @author 金建强(ptma@163.com)
 */
public class DecoderCompileRequest extends RequestMessage {

    private static final long serialVersionUID = -6237070405990532452L;

    private String script;

    private String sessionId;

    private DecoderCompileRequest() {}

    public DecoderCompileRequest(String sessionId) {
        super("0");
        this.sessionId = sessionId;
    }

    public String getScript() {
        return script;
    }

    public void setScript(String script) {
        this.script = script;
    }

    public String getSessionId() {
        return sessionId;
    }
}
