package com.qhiot.transport.message.request;

/**
 * 删除1条配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class EquipmentConfigDeleteRequest extends RequestMessage {

    private static final long serialVersionUID = 1375538483148222991L;

    /** 0 - 29 */
    private int index;

    private EquipmentConfigDeleteRequest() {}

    public EquipmentConfigDeleteRequest(String deviceId) {
        super(deviceId);
    }

    public EquipmentConfigDeleteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
