package com.qhiot.transport.message.request;

import com.qhiot.transport.message.bean.EquipmentConfig;

/**
 * 写入1条配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class EquipmentConfigWriteRequest extends RequestMessage {

    private static final long serialVersionUID = 6289511552540023220L;

    private int index;

    private EquipmentConfig config;

    private EquipmentConfigWriteRequest() {}

    public EquipmentConfigWriteRequest(String deviceId) {
        super(deviceId);
    }

    public EquipmentConfigWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public void setConfig(EquipmentConfig config) {
        this.config = config;
    }

    public EquipmentConfig getConfig() {
        return config;
    }

}
