package com.qhiot.transport.message.request;

import com.qhiot.transport.message.bean.EquipmentMonitoring;

/**
 * 写入1条配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class EquipmentMonitoringWriteRequest extends RequestMessage {

    private static final long serialVersionUID = 7420003333531606055L;

    private int index;

    private EquipmentMonitoring config;

    private EquipmentMonitoringWriteRequest() {}

    public EquipmentMonitoringWriteRequest(String deviceId) {
        super(deviceId);
    }

    public EquipmentMonitoringWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public void setConfig(EquipmentMonitoring config) {
        this.config = config;
    }

    public EquipmentMonitoring getConfig() {
        return config;
    }

}
