package com.qhiot.transport.message.request;

import com.qhiot.transport.message.bean.GatewayParam;

/**
 * 终端参数低级写入指令
 *
 * @author 金建强(ptma@163.com)
 */
public class GatewayParamLowlevelWriteRequest extends RequestMessage {

    private static final long serialVersionUID = 2681473481912424047L;
    private GatewayParam param;

    private GatewayParamLowlevelWriteRequest() {}

    public GatewayParamLowlevelWriteRequest(String deviceId) {
        super(deviceId);
    }

    public GatewayParamLowlevelWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public GatewayParam getParam() {
        return param;
    }

    public GatewayParamLowlevelWriteRequest setParam(GatewayParam param) {
        this.param = param;
        return this;
    }
}
