package com.qhiot.transport.message.request;

import com.qhiot.transport.message.bean.GatewayParam;

/**
 * 终端参数写入指令
 *
 * @author 金建强(ptma@163.com)
 */
public class GatewayParamWriteRequest extends RequestMessage {

    private static final long serialVersionUID = -2847970653563959003L;
    private GatewayParam param;

    private GatewayParamWriteRequest() {}

    public GatewayParamWriteRequest(String deviceId) {
        super(deviceId);
    }

    public GatewayParamWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public GatewayParam getParam() {
        return param;
    }

    public GatewayParamWriteRequest setParam(GatewayParam param) {
        this.param = param;
        return this;
    }
}
