package com.qhiot.transport.message.request;

/**
 * 删除1条资源配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class ResourceConfigDeleteRequest extends RequestMessage {

    private static final long serialVersionUID = -6853684941008696013L;

    /** 0 - 29 */
    private int index;

    private ResourceConfigDeleteRequest() {}

    public ResourceConfigDeleteRequest(String deviceId) {
        super(deviceId);
    }

    public ResourceConfigDeleteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
