package com.qhiot.transport.message.request;

/**
 * 读取1条资源配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class ResourceConfigReadRequest extends RequestMessage {

    private static final long serialVersionUID = 2136707574084614788L;

    /** 0 - 29 */
    private int index;

    private ResourceConfigReadRequest() {}

    public ResourceConfigReadRequest(String deviceId) {
        super(deviceId);
    }

    public ResourceConfigReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
