package com.qhiot.transport.message.request;

/**
 * 读取10条资源配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class ResourceConfigReadTenRequest extends RequestMessage {

    private static final long serialVersionUID = -1939922719381905113L;
    /** 0 - 2 */
    private int page;

    private ResourceConfigReadTenRequest() {}

    public ResourceConfigReadTenRequest(String deviceId) {
        super(deviceId);
    }

    public ResourceConfigReadTenRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }
}
