package com.qhiot.transport.message.request;

import com.qhiot.transport.message.bean.ResourceConfig;

/**
 * 写入1条资源配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class ResourceConfigWriteRequest extends RequestMessage {

    private static final long serialVersionUID = 8313850726782491705L;

    /** 0 - 29 */
    private int index;

    private ResourceConfig config;

    private ResourceConfigWriteRequest() {}

    public ResourceConfigWriteRequest(String deviceId) {
        super(deviceId);
    }

    public ResourceConfigWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public void setConfig(ResourceConfig config) {
        this.config = config;
    }

    public ResourceConfig getConfig() {
        return config;
    }

}
