package com.qhiot.transport.message.request;

/**
 * 根据485配置执行采集指令
 *
 * @author 金建强(ptma@163.com)
 */
public class Rs485CollectRequest extends RequestMessage {

    private static final long serialVersionUID = -2201298760379029969L;
    private int         index;

    private Rs485CollectRequest() {}

    public Rs485CollectRequest(String deviceId) {
        super(deviceId);
    }

    public Rs485CollectRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public Rs485CollectRequest setIndex(int index) {
        this.index = index;
        return this;
    }

}
