package com.qhiot.transport.message.request;

/**
 * 删除485配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class Rs485ConfigDeleteRequest extends RequestMessage {

    private static final long serialVersionUID = 8831335715111516206L;
    private int         index;

    private Rs485ConfigDeleteRequest() {}

    public Rs485ConfigDeleteRequest(String deviceId) {
        super(deviceId);
    }

    public Rs485ConfigDeleteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public Rs485ConfigDeleteRequest setIndex(int index) {
        this.index = index;
        return this;
    }
}
