package com.qhiot.transport.message.request;

/**
 * 设置短信内容指令
 *
 * @author 金建强(ptma@163.com)
 */
public class SmsContentRequest extends RequestMessage {

    private static final long serialVersionUID = -4263235348082797022L;
    private byte[] content;

    private SmsContentRequest() {}

    public SmsContentRequest(String deviceId) {
        super(deviceId);
    }

    public SmsContentRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public byte[] getContent() {
        return content.clone();
    }

    public SmsContentRequest setContent(byte[] content) {
        this.content = content.clone();
        return this;
    }
}
