package com.qhiot.transport.message.request;

/**
 * 设置短信目标号码指令
 *
 * @author 金建强(ptma@163.com)
 */
public class SmsMobileRequest extends RequestMessage {

    private static final long serialVersionUID = 8966559535925072878L;
    private byte[] mobile;

    private SmsMobileRequest() {}

    public SmsMobileRequest(String deviceId) {
        super(deviceId);
    }

    public SmsMobileRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public byte[] getMobile() {
        return mobile.clone();
    }

    public SmsMobileRequest setMobile(byte[] mobile) {
        this.mobile = mobile.clone();
        return this;
    }

}
