package com.qhiot.transport.message.request;

import com.qhiot.transport.message.bean.WarningConfig;

/**
 * 写入1条报警配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class WarningConfigWriteRequest extends RequestMessage {

    private static final long serialVersionUID = 7759142529119547710L;

    private int index;

    private WarningConfig config;

    private WarningConfigWriteRequest() {}

    public WarningConfigWriteRequest(String deviceId) {
        super(deviceId);
    }

    public WarningConfigWriteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public void setConfig(WarningConfig config) {
        this.config = config;
    }

    public WarningConfig getConfig() {
        return config;
    }

}
