package com.qhiot.transport.message.request.camera;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 删除全部摄像头拍照时间点配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class CameraTimePointConfigDeleteAllRequest extends RequestMessage {

    private static final long serialVersionUID = -806545086096522660L;

    private CameraTimePointConfigDeleteAllRequest() { }

    public CameraTimePointConfigDeleteAllRequest(String deviceId) {
        super(deviceId);
    }

    public CameraTimePointConfigDeleteAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
