package com.qhiot.transport.message.request.camera;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取全部摄像头拍照时间点配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class CameraTimePointConfigReadAllRequest extends RequestMessage {

    private static final long serialVersionUID = 3554221622545506329L;

    private CameraTimePointConfigReadAllRequest() { }

    public CameraTimePointConfigReadAllRequest(String deviceId) {
        super(deviceId);
    }

    public CameraTimePointConfigReadAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
