package com.qhiot.transport.message.request.camera;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 拍照指令
 *
 * @author 金建强(ptma@163.com)
 */
public class TakePictureRequest extends RequestMessage {

    private static final long serialVersionUID = -7145405987879714238L;
    private int cameraIndex;

    private TakePictureRequest() { }

    public TakePictureRequest(String deviceId) {
        super(deviceId);
    }

    public TakePictureRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getCameraIndex() {
        return cameraIndex;
    }

    public TakePictureRequest setCameraIndex(int cameraIndex) {
        this.cameraIndex = cameraIndex;
        return this;
    }
}
