package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 关闭开关量输出指令
 *
 * @author 金建强(ptma@163.com)
 */
public class OutputCloseRequest extends RequestMessage {

    private static final long serialVersionUID = -1627043877709737034L;
    private int         index;

    private OutputCloseRequest() { }

    public OutputCloseRequest(String deviceId) {
        super(deviceId);
    }

    public OutputCloseRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public OutputCloseRequest setIndex(int index) {
        this.index = index;
        return this;
    }
}
