package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 删除全部开关量输出配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class OutputConfigDeleteAllRequest extends RequestMessage {

    private static final long serialVersionUID = -3830719543831545057L;

    private OutputConfigDeleteAllRequest() { }

    public OutputConfigDeleteAllRequest(String deviceId) {
        super(deviceId);
    }

    public OutputConfigDeleteAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
