package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 删除开关量输出配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class OutputConfigDeleteRequest extends RequestMessage {

    private static final long serialVersionUID = -4829347073005057656L;
    private int         index;

    private OutputConfigDeleteRequest() { }

    public OutputConfigDeleteRequest(String deviceId) {
        super(deviceId);
    }

    public OutputConfigDeleteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public OutputConfigDeleteRequest setIndex(int index) {
        this.index = index;
        return this;
    }
}
