package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取开关量输出周期性配置指令
 *
 * @author 金建强(ptma@163.com)
 */
public class OutputPeriodConfigReadRequest extends RequestMessage {

    private static final long serialVersionUID = 5018781118242428411L;
    private int         index;

    private OutputPeriodConfigReadRequest() {
    }

    public OutputPeriodConfigReadRequest(String deviceId) {
        super(deviceId);
    }

    public OutputPeriodConfigReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public OutputPeriodConfigReadRequest setIndex(int index) {
        this.index = index;
        return this;
    }
}
