package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 删除全部输入输出关联配置信息
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-07-05 17:01:25
 */
public class OverloadCurrentDeleteAllRequest extends RequestMessage {

    private static final long serialVersionUID = -8041209710047219244L;

    private OverloadCurrentDeleteAllRequest() {}

    public OverloadCurrentDeleteAllRequest(String deviceId) {
        super(deviceId);
    }

    public OverloadCurrentDeleteAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
