package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取一条输入输出关联配置信息
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-07-05 17:01:25
 */
public class OverloadCurrentReadRequest extends RequestMessage {

    private static final long serialVersionUID = -4073453641414206629L;

    private int         index;

    private OverloadCurrentReadRequest() {}

    public OverloadCurrentReadRequest(String deviceId) {
        super(deviceId);
    }

    public OverloadCurrentReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
