package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 删除一条动力设备监测电流状态
 *
 * @author 金建强(ptma@163.com)
 */
public class OverloadWarningDeleteRequest extends RequestMessage {

    private static final long serialVersionUID = -3723456147239622930L;

    private int         index;

    private int         type;

    private OverloadWarningDeleteRequest() {}

    public OverloadWarningDeleteRequest(String deviceId) {
        super(deviceId);
    }

    public OverloadWarningDeleteRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
}

