package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取全部输入输出关联配置信息
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-07-05 17:01:25
 */
public class OverloadWarningReadAllRequest extends RequestMessage {

    private static final long serialVersionUID = 3640417208593011141L;

    private OverloadWarningReadAllRequest() {}

    public OverloadWarningReadAllRequest(String deviceId) {
        super(deviceId);
    }

    public OverloadWarningReadAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }
}
