package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.request.RequestMessage;

/**
 * 读取一条动力设备监测电流状态
 *
 * @author 金建强(ptma@163.com)
 * @version 2016-07-05 17:01:25
 */
public class OverloadWarningReadRequest extends RequestMessage {

    private static final long serialVersionUID = 2342994715886564120L;

    private int         index;

    private int type;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    private OverloadWarningReadRequest() {}

    public OverloadWarningReadRequest(String deviceId) {
        super(deviceId);
    }

    public OverloadWarningReadRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
