package com.qhiot.transport.message.request.io;

import com.qhiot.transport.message.define.DeviceType;
import com.qhiot.transport.message.request.RequestMessage;

/**
 * 关闭所有无线开关指令
 *
 * @author 金建强(ptma@163.com)
 */
public class WirelessSwitchCloseAllRequest extends RequestMessage {

    private static final long serialVersionUID = -3941685250714734094L;

    private WirelessSwitchCloseAllRequest() {}

    public WirelessSwitchCloseAllRequest(String deviceId) {
        super(DeviceType.WIRELESS_SWITCH.getValue(), deviceId);
    }

    public WirelessSwitchCloseAllRequest(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

}
