package com.qhiot.transport.message.response;

/**
 * 格式化终端回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class DecoderCompileResponse extends ResponseMessage {

    private static final long serialVersionUID = 7411241962667237037L;

    private int               code;

    private String            message;

    private String sessionId;

    private DecoderCompileResponse() {}

    public DecoderCompileResponse(String sessionId) {
        super((byte) 0x00, "0");
        this.sessionId = sessionId;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getSessionId() {
        return sessionId;
    }
}
