package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.EquipmentConfig;

import java.util.List;

/**
 * 读10条设备配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2017/03/21 15:59
 */
public class EquipmentConfigReadTenResponse extends ResponseMessage {

    private static final long serialVersionUID = -415556651507444188L;

    private List<EquipmentConfig> configs;

    private EquipmentConfigReadTenResponse() {}

    public EquipmentConfigReadTenResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public List<EquipmentConfig> getConfigs() {
        return configs;
    }

    public EquipmentConfigReadTenResponse setConfigs(List<EquipmentConfig> configs) {
        this.configs = configs;
        return this;
    }
}
