package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.EquipmentMonitoring;

/**
 * 读1条测点配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2017/03/21 15:59
 */
public class EquipmentMonitoringReadResponse extends ResponseMessage {

    private static final long serialVersionUID = 5444056901847687371L;

    private EquipmentMonitoring config;

    private EquipmentMonitoringReadResponse() {}

    public EquipmentMonitoringReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public EquipmentMonitoring getConfig() {
        return config;
    }

    public void setConfig(EquipmentMonitoring config) {
        this.config = config;
    }
}
