package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.GatewayParam;
import com.qhiot.transport.message.define.DeviceType;

/**
 * 终端信息
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class GatewayParamResponse extends ResponseMessage {

    private static final long serialVersionUID = -8017851012509221924L;
    private GatewayParam gatewayParam;

    private GatewayParamResponse() {}

    public GatewayParamResponse(String deviceId) {
        super(DeviceType.GATEWAY.getValue(), deviceId);
    }

    public GatewayParam getGatewayParam() {
        return gatewayParam;
    }

    public GatewayParamResponse setGatewayParam(GatewayParam gatewayParam) {
        this.gatewayParam = gatewayParam;
        return this;
    }
}
