package com.qhiot.transport.message.response;

/**
 * 终端信息
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class GprsBoardParamResponse extends ResponseMessage {

    private static final long serialVersionUID = -8397264287542543473L;
    private String imei;
    private String iccid;

    private GprsBoardParamResponse() {}

    public GprsBoardParamResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public String getImei() {
        return imei;
    }

    public GprsBoardParamResponse setImei(String imei) {
        this.imei = imei;
        return this;
    }

    public String getIccid() {
        return iccid;
    }

    public GprsBoardParamResponse setIccid(String iccid) {
        this.iccid = iccid;
        return this;
    }
}
