package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.History;

import java.util.List;

/**
 * 历史数据读取
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class HistoryReadResponse extends ResponseMessage {

    private static final long serialVersionUID = -2814048262094453612L;

    private List<History> historyList;

    private HistoryReadResponse() {}

    public HistoryReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public List<History> getHistoryList() {
        return historyList;
    }

    public void setHistoryList(List<History> historyList) {
        this.historyList = historyList;
    }
}
