package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.ResourceConfig;

import java.util.List;

/**
 * 读10条资源配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2017/03/21 15:59
 */
public class ResourceConfigReadTenResponse extends ResponseMessage {

    private static final long serialVersionUID = 8176326860871151693L;

    private List<ResourceConfig> configs;

    private ResourceConfigReadTenResponse() {}

    public ResourceConfigReadTenResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public List<ResourceConfig> getConfigs() {
        return configs;
    }

    public ResourceConfigReadTenResponse setConfigs(List<ResourceConfig> configs) {
        this.configs = configs;
        return this;
    }
}
