package com.qhiot.transport.message.response;

/**
 * 写1条资源配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2017/03/21 15:59
 */
public class ResourceConfigWriteResponse extends ResponseMessage {

    private static final long serialVersionUID = 8916123302100383830L;

    private byte result;

    private ResourceConfigWriteResponse() {}

    public ResourceConfigWriteResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public byte getResult() {
        return result;
    }

    public void setResult(byte result) {
        this.result = result;
    }
}
