package com.qhiot.transport.message.response;

import com.qhiot.transport.message.bean.TransmitTransparently;

/**
 * 透传回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class TransmitTransparentlyResponse extends ResponseMessage {

    private static final long     serialVersionUID = -1737528931076104084L;

    private TransmitTransparently transmitTransparently;

    private TransmitTransparentlyResponse() {}

    public TransmitTransparentlyResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public TransmitTransparently getTransmitTransparently() {
        return transmitTransparently;
    }

    public TransmitTransparentlyResponse setTransmitTransparently(
            TransmitTransparently transmitTransparently) {
        this.transmitTransparently = transmitTransparently;
        return this;
    }
}
