package com.qhiot.transport.message.response;

/**
 * 上传进度
 *
 * @author 金建强(ptma@163.com) 163.com)
 * @version 2016-07-06 21:46
 */
public class UpgradeProgress extends ResponseMessage {

    private static final long serialVersionUID = 7353997733504210072L;

    private int     progress;
    private boolean completed;

    private UpgradeProgress() {}

    public UpgradeProgress(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getProgress() {
        return progress;
    }

    public void setProgress(int progress) {
        this.progress = progress;
    }

    public boolean isCompleted() {
        return completed;
    }

    public void setCompleted(boolean completed) {
        this.completed = completed;
        if (completed) {
            this.progress = 100;
        }
    }

}
