package com.qhiot.transport.message.response;

/**
 * 升级回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/7/1 11:07
 */
public class UpgradeResponse extends ResponseMessage {

    private static final long serialVersionUID = 4097090187178819927L;

    /**
     *  响应代码
     */
    private Byte              upgradeCode;

    /**
     * 确认分片号（可能没有， 根据协议）
     */
    private Integer           segmentIndex;

    private UpgradeResponse() {}

    public UpgradeResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public Byte getUpgradeCode() {
        return upgradeCode;
    }

    public UpgradeResponse setUpgradeCode(Byte upgradeCode) {
        this.upgradeCode = upgradeCode;
        return this;
    }

    public Integer getSegmentIndex() {
        return segmentIndex;
    }

    public void setSegmentIndex(Integer segmentIndex) {
        this.segmentIndex = segmentIndex;
    }
}
