package com.qhiot.transport.message.response.camrea;

import com.qhiot.transport.message.bean.CameraConfig;
import com.qhiot.transport.message.response.ResponseMessage;

/**
 * 读摄像头配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class CameraConfigReadResponse extends ResponseMessage {

    private static final long serialVersionUID = 2079106457650973138L;

    private CameraConfig config;

    private CameraConfigReadResponse() {}

    public CameraConfigReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public CameraConfig getConfig() {
        return config;
    }

    public CameraConfigReadResponse setConfig(CameraConfig config) {
        this.config = config;
        return this;
    }
}
