package com.qhiot.transport.message.response.camrea;

import com.qhiot.transport.message.response.ResponseMessage;

/**
 * 删除摄像头配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class SnapResponse extends ResponseMessage {

    private static final long serialVersionUID = 4730038323842369670L;

    private Boolean succeed;

    private SnapResponse() {}

    public SnapResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }


    public Boolean getSucceed() {
        return succeed;
    }

    public SnapResponse setSucceed(Boolean succeed) {
        this.succeed = succeed;
        return this;
    }
}
