package com.qhiot.transport.message.response.camrea;

import com.qhiot.transport.message.response.ResponseMessage;

import java.util.Date;

/**
 * 上传进度
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class SnapUploadingResponse extends ResponseMessage {

    private static final long serialVersionUID = -1567413616767029457L;
    private int               progress;
    private boolean           completed;
    private String            fileKey;
    private Date              snapTime;

    private SnapUploadingResponse() {}

    public SnapUploadingResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int getProgress() {
        return progress;
    }

    public void setProgress(int progress) {
        this.progress = progress;
    }

    public boolean isCompleted() {
        return completed;
    }

    public void setCompleted(boolean completed) {
        this.completed = completed;
    }

    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }

    public Date getSnapTime() {
        return snapTime;
    }

    public void setSnapTime(Date snapTime) {
        this.snapTime = snapTime;
    }
}
