package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.response.ResponseMessage;

/**
 * 读取工作模式回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class IOWorkmodelReadResponse extends ResponseMessage {

    private static final long serialVersionUID = -9098995609383576201L;

    /**
     * 0: 自动运行模式
     * 1: 手动运行模式
     * 2: 停止模式
     */
    private Integer           workModel;

    private IOWorkmodelReadResponse() {}

    public IOWorkmodelReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }


    public Integer getWorkModel() {
        return workModel;
    }

    public IOWorkmodelReadResponse setWorkModel(Integer workModel) {
        this.workModel = workModel;
        return this;
    }
}
