package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.bean.InputConfig;
import com.qhiot.transport.message.response.ResponseMessage;

import java.util.List;

/**
 * 读摄像头配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class InputConfigReadAllResponse extends ResponseMessage {

    private static final long serialVersionUID = 2079106457650973138L;

    private List<InputConfig> configs;

    private InputConfigReadAllResponse() {}

    public InputConfigReadAllResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public List<InputConfig> getConfigs() {
        return configs;
    }

    public InputConfigReadAllResponse setConfigs(List<InputConfig> configs) {
        this.configs = configs;
        return this;
    }
}
