package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.bean.InputConfig;
import com.qhiot.transport.message.response.ResponseMessage;

/**
 * 读摄像头配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class InputConfigReadResponse extends ResponseMessage {

    private static final long serialVersionUID = 2079106457650973138L;

    private InputConfig config;

    private InputConfigReadResponse() {}

    public InputConfigReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public InputConfig getConfig() {
        return config;
    }

    public InputConfigReadResponse setConfig(InputConfig config) {
        this.config = config;
        return this;
    }
}
