package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.response.ResponseMessage;

/**
 * 输入开关量
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class InputStateResponse extends ResponseMessage {

    private static final long serialVersionUID = -3682120719312276430L;

    private int[]           states      = new int[16];

    private InputStateResponse() {}

    public InputStateResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public int[] getStates() {
        return states.clone();
    }

    public InputStateResponse setStates(int[] states) {
        this.states = states.clone();
        return this;
    }
}
