package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.define.ModbusReturnCode;
import com.qhiot.transport.message.response.ResponseMessage;

/**
 * 读取工作模式回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class ModbusIOControlResponse extends ResponseMessage {

    private static final long serialVersionUID = -7546657549463456969L;

    private ModbusReturnCode returnCode;

    private ModbusIOControlResponse() {}

    public ModbusIOControlResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }


    public ModbusReturnCode getReturnCode() {
        return returnCode;
    }

    public void setReturnCode(ModbusReturnCode returnCode) {
        this.returnCode = returnCode;
    }
}
