package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.bean.OutputConfig;
import com.qhiot.transport.message.response.ResponseMessage;

import java.util.List;

/**
 * 读输出开关量配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class OutputConfigReadAllResponse extends ResponseMessage {

    private static final long serialVersionUID = 2079106457650973138L;

    private List<OutputConfig> configs;

    private OutputConfigReadAllResponse() {}

    public OutputConfigReadAllResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public List<OutputConfig> getConfigs() {
        return configs;
    }

    public OutputConfigReadAllResponse setConfigs(List<OutputConfig> configs) {
        this.configs = configs;
        return this;
    }
}
