package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.bean.OutputConfig;
import com.qhiot.transport.message.response.ResponseMessage;

/**
 * 读输出开关量配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class OutputConfigReadResponse extends ResponseMessage {

    private static final long serialVersionUID = 2079106457650973138L;

    private OutputConfig config;

    private OutputConfigReadResponse() {}

    public OutputConfigReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public OutputConfig getConfig() {
        return config;
    }

    public OutputConfigReadResponse setConfig(OutputConfig config) {
        this.config = config;
        return this;
    }
}
