package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.bean.OutputPeriodConfig;
import com.qhiot.transport.message.response.ResponseMessage;

import java.util.List;

/**
 * 读输出开关量周期配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class OutputPeriodConfigReadAllResponse extends ResponseMessage {

    private static final long serialVersionUID = 2079106457650973138L;

    private List<OutputPeriodConfig> configs;

    private OutputPeriodConfigReadAllResponse() {}

    public OutputPeriodConfigReadAllResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public List<OutputPeriodConfig> getConfigs() {
        return configs;
    }

    public OutputPeriodConfigReadAllResponse setConfigs(List<OutputPeriodConfig> configs) {
        this.configs = configs;
        return this;
    }
}
