package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.bean.OutputPeriodConfig;
import com.qhiot.transport.message.response.ResponseMessage;

/**
 * 读输出开关量周期配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class OutputPeriodConfigReadResponse extends ResponseMessage {

    private static final long serialVersionUID = 2079106457650973138L;

    private OutputPeriodConfig config;

    private OutputPeriodConfigReadResponse() {}

    public OutputPeriodConfigReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public OutputPeriodConfig getConfig() {
        return config;
    }

    public OutputPeriodConfigReadResponse setConfig(OutputPeriodConfig config) {
        this.config = config;
        return this;
    }
}
