package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.bean.OverloadCurrent;
import com.qhiot.transport.message.response.ResponseMessage;

import java.util.List;

/**
 * 读全部动力设备监测电流配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class OverloadCurrentReadAllResponse extends ResponseMessage {

    private static final long serialVersionUID = 3589887502873776881L;

    private List<OverloadCurrent> configs;

    private OverloadCurrentReadAllResponse() {}

    public OverloadCurrentReadAllResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public List<OverloadCurrent> getConfigs() {
        return configs;
    }

    public OverloadCurrentReadAllResponse setConfigs(List<OverloadCurrent> configs) {
        this.configs = configs;
        return this;
    }
}
