package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.bean.OverloadCurrent;
import com.qhiot.transport.message.response.ResponseMessage;

/**
 * 读动力设备监测电流配置回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class OverloadCurrentReadResponse extends ResponseMessage {

    private static final long serialVersionUID = -7260346696954365334L;

    private OverloadCurrent config;

    private OverloadCurrentReadResponse() {}

    public OverloadCurrentReadResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public OverloadCurrent getConfig() {
        return config;
    }

    public OverloadCurrentReadResponse setConfig(OverloadCurrent config) {
        this.config = config;
        return this;
    }
}
