package com.qhiot.transport.message.response.io;

import com.qhiot.transport.message.bean.OverloadWarning;
import com.qhiot.transport.message.response.ResponseMessage;

import java.util.List;

/**
 * 读全部动力设备监测电流状态回应
 *
 * @author 金建强(ptma@163.com)
 * @version 2016/6/21 15:59
 */
public class OverloadWarningReadAllResponse extends ResponseMessage {

    private static final long serialVersionUID = 4866356784089214679L;

    private List<OverloadWarning> configs;

    private OverloadWarningReadAllResponse() {}

    public OverloadWarningReadAllResponse(byte deviceType, String deviceId) {
        super(deviceType, deviceId);
    }

    public List<OverloadWarning> getConfigs() {
        return configs;
    }

    public OverloadWarningReadAllResponse setConfigs(List<OverloadWarning> configs) {
        this.configs = configs;
        return this;
    }
}
