package com.qhiot.transport.codec.exception;

/**
 * 解码异常, 运行时异常
 * <p>
 * User: 金建强(ptma@163.com)
 * </p>
 * <p>
 * Date: 2015-12-15 20:35.
 * </p>
 */
public class DecodeException extends RuntimeException {

    public DecodeException(){
        super();
    }

    public DecodeException(Throwable cause){
        super(cause);
    }

    public DecodeException(String message){
        super(message);
    }

    public DecodeException(String message, Throwable cause){
        super(message, cause);
    }
}
