package com.qhiot.transport.jms.kafka;

import com.qhiot.kafka.BaseJmsKafkaMessageSender;
import com.qhiot.kafka.KafkaTopicDestinations;
import com.qhiot.transport.message.data.OnboardTagData;
import org.springframework.kafka.core.KafkaTemplate;

/**
 * @author 罗军(luoj @ qh - iot.com)
 * @version 2021-05-27 18:09:59
 */
public class OnboardTagDataKafkaSender extends BaseJmsKafkaMessageSender {

    public OnboardTagDataKafkaSender(KafkaTemplate kafkaTemplate, String destinationPrefix) {
        super(kafkaTemplate, destinationPrefix + KafkaTopicDestinations.ONBOARD_TAG_DATA);
    }

    public void sendMessage(final OnboardTagData message) {
        super.sendMessage(message);
    }
}
