package com.qhiot.transport.netty.handler.codec;

import com.qhiot.transport.codec.bean.AttrKey;
import com.qhiot.transport.codec.util.ByteBufUtil;
import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandler.Sharable;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.MessageToMessageEncoder;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.List;

@Sharable
public class ByteEncoder extends MessageToMessageEncoder<ByteBuf> {

    private static final Logger LOGGER = LoggerFactory.getLogger("transport.codec.ByteEncoder");

    @Override
    protected void encode(ChannelHandlerContext ctx, ByteBuf msg, List<Object> out) throws Exception {
//        byte[] rawBytes = ByteBufUtil.getBytesRemaining(msg.nioBuffer());
//
//        Integer downstreamSize = ctx.channel().attr(AttrKey.DOWNSTREAM_SIZE).get();
//        if (downstreamSize == null) {
//            downstreamSize = 0;
//        }
//        downstreamSize += rawBytes.length;
//        ctx.channel().attr(AttrKey.DOWNSTREAM_SIZE).set(downstreamSize);

        out.add(msg.copy());
    }
}
